// Package org_isda_cdm_0_2_0 contains domain objects and was generated from Concerto namespace org.isda.cdm@0.2.0.
package org_isda_cdm_0_2_0
import "time"
import "concerto_1_0_0";
   
type AdjustableDates struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   UnadjustedDate []time.Time `json:"unadjustedDate"`
   AdjustedDate []time.Time `json:"adjustedDate"`
   DateAdjustments BusinessDayAdjustments `json:"dateAdjustments"`
}
type AdjustableDatesBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   UnadjustedDate []time.Time `json:"unadjustedDate"`
   AdjustedDate []time.Time `json:"adjustedDate"`
}
type AmountSchedule struct {
   concerto_1_0_0.Concept
   Currency []string `json:"currency"`
   CurrencyScheme string `json:"currencyScheme"`
   Id string `json:"id"`
   InitialValue float64 `json:"initialValue"`
   Step []Step `json:"step"`
}
type AmountScheduleBuilder struct {
   concerto_1_0_0.Concept
   Currency []string `json:"currency"`
   CurrencyScheme string `json:"currencyScheme"`
   Id string `json:"id"`
   InitialValue float64 `json:"initialValue"`
}
type NonNegativeStep struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   StepDate time.Time `json:"stepDate"`
   StepValue float64 `json:"stepValue"`
}
type NonNegativeStepBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   StepDate time.Time `json:"stepDate"`
   StepValue float64 `json:"stepValue"`
}
type ComputedAmount struct {
   concerto_1_0_0.Concept
   Currency string `json:"currency"`
   CallFunction string `json:"callFunction"`
   CurrencyScheme string `json:"currencyScheme"`
   Amount float64 `json:"amount"`
}
type ComputedAmountBuilder struct {
   concerto_1_0_0.Concept
   Currency string `json:"currency"`
   CallFunction string `json:"callFunction"`
   CurrencyScheme string `json:"currencyScheme"`
   Amount float64 `json:"amount"`
}
type InterestShortFall struct {
   concerto_1_0_0.Concept
   InterestShortfallCap InterestShortfallCapEnum `json:"interestShortfallCap"`
   Compounding bool `json:"compounding"`
   RateSource FloatingRateIndexEnum `json:"rateSource"`
}
type InterestShortFallBuilder struct {
   concerto_1_0_0.Concept
   InterestShortfallCap InterestShortfallCapEnum `json:"interestShortfallCap"`
   Compounding bool `json:"compounding"`
   RateSource FloatingRateIndexEnum `json:"rateSource"`
}
type TradeHeaderBuilder struct {
   concerto_1_0_0.Concept
   TradeDate time.Time `json:"tradeDate"`
}
type TradeHeader struct {
   concerto_1_0_0.Concept
   Identifier []PartyContractIdentifier `json:"identifier"`
   TradeDate time.Time `json:"tradeDate"`
}
type PaymentDetail struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   PaymentDate AdjustableOrAdjustedDate `json:"paymentDate"`
   PaymentRule PaymentRule `json:"paymentRule"`
   PaymentAmount Money `json:"paymentAmount"`
}
type PaymentDetailBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
}
type PaymentRule struct {
   concerto_1_0_0.Concept
   PercentageRule PercentageRule `json:"percentageRule"`
}
type PaymentRuleBuilder struct {
   concerto_1_0_0.Concept
}
type AllocationOutcome struct {
   concerto_1_0_0.Concept
   Execution ExecutionReference `json:"execution"`
   ContractReference []ContractReference `json:"contractReference"`
   Contract []Contract `json:"contract"`
}
type AllocationOutcomeBuilder struct {
   concerto_1_0_0.Concept
}
type Account struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   AccountNumber string `json:"accountNumber"`
   AccountName string `json:"accountName"`
   AccountType AccountTypeEnum `json:"accountType"`
   AccountBeneficiary string `json:"accountBeneficiary"`
   ServicingParty string `json:"servicingParty"`
   AccountNameScheme string `json:"accountNameScheme"`
   AccountNumberScheme string `json:"accountNumberScheme"`
   AccountTypeScheme string `json:"accountTypeScheme"`
}
type AccountBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   AccountNumber string `json:"accountNumber"`
   AccountName string `json:"accountName"`
   AccountType AccountTypeEnum `json:"accountType"`
   AccountBeneficiary string `json:"accountBeneficiary"`
   ServicingParty string `json:"servicingParty"`
   AccountNameScheme string `json:"accountNameScheme"`
   AccountNumberScheme string `json:"accountNumberScheme"`
   AccountTypeScheme string `json:"accountTypeScheme"`
}
type ContractualDefinitionsEnum int
const (
   ISDA1991 ContractualDefinitionsEnum = 1 + iota
   ISDA_1993_COMMODITY
   ISDA_1996_EQUITY
   ISDA_1997_BULLION
   ISDA_1997_GOVERNMENT_BOND
   ISDA1998FX
   ISDA_1999_CREDIT
   ISDA2000
   ISDA_2002_EQUITY
   ISDA_2003_CREDIT
   ISDA_2004_NOVATION
   ISDA_2005_COMMODITY
   ISDA2006
   ISDA_2006_INFLATION
   ISDA_2008_INFLATION
   ISDA_2011_EQUITY
   ISDA_2014_CREDIT
)
type BermudaExercise struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   RelevantUnderlyingDate AdjustableOrRelativeDates `json:"relevantUnderlyingDate"`
   EarliestExerciseTime BusinessCenterTime `json:"earliestExerciseTime"`
   ExpirationTime BusinessCenterTime `json:"expirationTime"`
   BermudaExerciseDates AdjustableOrRelativeDates `json:"bermudaExerciseDates"`
   LatestExerciseTime BusinessCenterTime `json:"latestExerciseTime"`
   MultipleExercise MultipleExercise `json:"multipleExercise"`
   ExerciseFeeSchedule ExerciseFeeSchedule `json:"exerciseFeeSchedule"`
}
type BermudaExerciseBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
}
type ContractualMatrix struct {
   concerto_1_0_0.Concept
   MatrixType MatrixTypeEnum `json:"matrixType"`
   PublicationDate time.Time `json:"publicationDate"`
   MatrixTerm MatrixTermEnum `json:"matrixTerm"`
   MatrixTermScheme string `json:"matrixTermScheme"`
   MatrixTypeScheme string `json:"matrixTypeScheme"`
}
type ContractualMatrixBuilder struct {
   concerto_1_0_0.Concept
   MatrixType MatrixTypeEnum `json:"matrixType"`
   PublicationDate time.Time `json:"publicationDate"`
   MatrixTerm MatrixTermEnum `json:"matrixTerm"`
   MatrixTermScheme string `json:"matrixTermScheme"`
   MatrixTypeScheme string `json:"matrixTypeScheme"`
}
type PhysicalExercise struct {
   concerto_1_0_0.Concept
   Cashflow Cashflow `json:"cashflow"`
   Commodity Commodity `json:"commodity"`
   ListedProduct ListedProduct `json:"listedProduct"`
   Quantity Quantity `json:"quantity"`
   ContractReference []ContractReference `json:"contractReference"`
   Contract []Contract `json:"contract"`
}
type PhysicalExerciseBuilder struct {
   concerto_1_0_0.Concept
}
type InterestRateCurveBuilder struct {
   concerto_1_0_0.Concept
   FloatingRateIndexScheme string `json:"floatingRateIndexScheme"`
   FloatingRateIndex FloatingRateIndexEnum `json:"floatingRateIndex"`
}
type InterestRateCurve struct {
   concerto_1_0_0.Concept
   FloatingRateIndexScheme string `json:"floatingRateIndexScheme"`
   FloatingRateIndex FloatingRateIndexEnum `json:"floatingRateIndex"`
   Tenor Period `json:"tenor"`
}
type RelativeDateOffset struct {
   concerto_1_0_0.Concept
   BusinessDayConvention BusinessDayConventionEnum `json:"businessDayConvention"`
   BusinessCenters BusinessCenters `json:"businessCenters"`
   BusinessCentersReference string `json:"businessCentersReference"`
   DateRelativeTo string `json:"dateRelativeTo"`
   AdjustedDate time.Time `json:"adjustedDate"`
   DayType DayTypeEnum `json:"dayType"`
   Id string `json:"id"`
   Period PeriodEnum `json:"period"`
   PeriodMultiplier int32 `json:"periodMultiplier"`
}
type RelativeDateOffsetBuilder struct {
   concerto_1_0_0.Concept
   BusinessDayConvention BusinessDayConventionEnum `json:"businessDayConvention"`
   BusinessCentersReference string `json:"businessCentersReference"`
   DateRelativeTo string `json:"dateRelativeTo"`
   AdjustedDate time.Time `json:"adjustedDate"`
   DayType DayTypeEnum `json:"dayType"`
   Id string `json:"id"`
   Period PeriodEnum `json:"period"`
   PeriodMultiplier int32 `json:"periodMultiplier"`
}
type PayoutLineage struct {
   concerto_1_0_0.Concept
   Cashflow string `json:"cashflow"`
   OptionPayout string `json:"optionPayout"`
   CreditDefaultPayout string `json:"creditDefaultPayout"`
   PayoutReference string `json:"payoutReference"`
   InterestRatePayout string `json:"interestRatePayout"`
}
type PayoutLineageBuilder struct {
   concerto_1_0_0.Concept
   Cashflow string `json:"cashflow"`
   OptionPayout string `json:"optionPayout"`
   CreditDefaultPayout string `json:"creditDefaultPayout"`
   PayoutReference string `json:"payoutReference"`
   InterestRatePayout string `json:"interestRatePayout"`
}
type ManualExercise struct {
   concerto_1_0_0.Concept
   ExerciseNotice ExerciseNotice `json:"exerciseNotice"`
   FallbackExercise bool `json:"fallbackExercise"`
}
type ManualExerciseBuilder struct {
   concerto_1_0_0.Concept
   FallbackExercise bool `json:"fallbackExercise"`
}
type GeneralTerms struct {
   concerto_1_0_0.Concept
   AdditionalTermScheme string `json:"additionalTermScheme"`
   BuyerSeller BuyerSeller `json:"buyerSeller"`
   ReferenceInformation ReferenceInformation `json:"referenceInformation"`
   IndexReferenceInformation IndexReferenceInformation `json:"indexReferenceInformation"`
   Substitution bool `json:"substitution"`
   ModifiedEquityDelivery bool `json:"modifiedEquityDelivery"`
   BasketReferenceInformation BasketReferenceInformation `json:"basketReferenceInformation"`
   AdditionalTerm []string `json:"additionalTerm"`
   DateAdjustments BusinessDayAdjustments `json:"dateAdjustments"`
}
type GeneralTermsBuilder struct {
   concerto_1_0_0.Concept
   AdditionalTermScheme string `json:"additionalTermScheme"`
   Substitution bool `json:"substitution"`
   ModifiedEquityDelivery bool `json:"modifiedEquityDelivery"`
   AdditionalTerm []string `json:"additionalTerm"`
}
type ListedProduct struct {
   concerto_1_0_0.Concept
   Bond Bond `json:"bond"`
   ConvertibleBond ConvertibleBond `json:"convertibleBond"`
   RosettaKey string `json:"rosettaKey"`
}
type ListedProductBuilder struct {
   concerto_1_0_0.Concept
}
type RoundingDirectionEnum int
const (
   UP RoundingDirectionEnum = 1 + iota
   DOWN
   NEAREST
)
type NewTradePrimitiveBuilder struct {
   concerto_1_0_0.Concept
}
type NewTradePrimitive struct {
   concerto_1_0_0.Concept
   ContractReference ContractIdentifier `json:"contractReference"`
   Contract Contract `json:"contract"`
}
type IndexReferenceInformationBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   IndexAnnexVersion int32 `json:"indexAnnexVersion"`
   IndexAnnexSourceScheme string `json:"indexAnnexSourceScheme"`
   IndexIdScheme string `json:"indexIdScheme"`
   IndexNameScheme string `json:"indexNameScheme"`
   IndexSeries int32 `json:"indexSeries"`
   IndexName string `json:"indexName"`
   IndexId []string `json:"indexId"`
   IndexAnnexDate time.Time `json:"indexAnnexDate"`
   IndexAnnexSource IndexAnnexSourceEnum `json:"indexAnnexSource"`
}
type IndexReferenceInformation struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   IndexAnnexVersion int32 `json:"indexAnnexVersion"`
   IndexAnnexSourceScheme string `json:"indexAnnexSourceScheme"`
   IndexIdScheme string `json:"indexIdScheme"`
   IndexNameScheme string `json:"indexNameScheme"`
   Tranche Tranche `json:"tranche"`
   IndexSeries int32 `json:"indexSeries"`
   IndexName string `json:"indexName"`
   IndexId []string `json:"indexId"`
   IndexAnnexDate time.Time `json:"indexAnnexDate"`
   IndexAnnexSource IndexAnnexSourceEnum `json:"indexAnnexSource"`
   ExcludedReferenceEntity []LegalEntity `json:"excludedReferenceEntity"`
   SettledEntityMatrix SettledEntityMatrix `json:"settledEntityMatrix"`
}
type ContractOrContractReference struct {
   concerto_1_0_0.Concept
   ContractReference []ContractReference `json:"contractReference"`
   Contract []Contract `json:"contract"`
}
type ContractOrContractReferenceBuilder struct {
   concerto_1_0_0.Concept
}
type StepRelativeToEnum int
const (
   INITIAL StepRelativeToEnum = 1 + iota
   PREVIOUS
)
type TransactedPriceBuilder struct {
   concerto_1_0_0.Concept
   InitialPoints float64 `json:"initialPoints"`
   QuotationStyle QuotationStyleEnum `json:"quotationStyle"`
   MarketFixedRate float64 `json:"marketFixedRate"`
   MarketPrice float64 `json:"marketPrice"`
}
type TransactedPrice struct {
   concerto_1_0_0.Concept
   InitialPoints float64 `json:"initialPoints"`
   QuotationStyle QuotationStyleEnum `json:"quotationStyle"`
   MarketFixedRate float64 `json:"marketFixedRate"`
   MarketPrice float64 `json:"marketPrice"`
}
type Step struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   StepDate time.Time `json:"stepDate"`
   StepValue float64 `json:"stepValue"`
}
type StepBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   StepDate time.Time `json:"stepDate"`
   StepValue float64 `json:"stepValue"`
}
type FxLinkedNotionalAmount struct {
   concerto_1_0_0.Concept
   NotionalAmount float64 `json:"notionalAmount"`
   ResetDate time.Time `json:"resetDate"`
   AdjustedFxSpotFixingDate time.Time `json:"adjustedFxSpotFixingDate"`
   ObservedFxSpotRate float64 `json:"observedFxSpotRate"`
}
type FxLinkedNotionalAmountBuilder struct {
   concerto_1_0_0.Concept
   NotionalAmount float64 `json:"notionalAmount"`
   ResetDate time.Time `json:"resetDate"`
   AdjustedFxSpotFixingDate time.Time `json:"adjustedFxSpotFixingDate"`
   ObservedFxSpotRate float64 `json:"observedFxSpotRate"`
}
type EarlyTerminationEvent struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   AdjustedEarlyTerminationDate time.Time `json:"adjustedEarlyTerminationDate"`
   AdjustedExerciseFeePaymentDate time.Time `json:"adjustedExerciseFeePaymentDate"`
   AdjustedCashSettlementValuationDate time.Time `json:"adjustedCashSettlementValuationDate"`
   AdjustedCashSettlementPaymentDate time.Time `json:"adjustedCashSettlementPaymentDate"`
   AdjustedExerciseDate time.Time `json:"adjustedExerciseDate"`
}
type EarlyTerminationEventBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   AdjustedEarlyTerminationDate time.Time `json:"adjustedEarlyTerminationDate"`
   AdjustedExerciseFeePaymentDate time.Time `json:"adjustedExerciseFeePaymentDate"`
   AdjustedCashSettlementValuationDate time.Time `json:"adjustedCashSettlementValuationDate"`
   AdjustedCashSettlementPaymentDate time.Time `json:"adjustedCashSettlementPaymentDate"`
   AdjustedExerciseDate time.Time `json:"adjustedExerciseDate"`
}
type ObservationPrimitive struct {
   concerto_1_0_0.Concept
   Side QuotationSideEnum `json:"side"`
   Source ObservationSource `json:"source"`
   Observation float64 `json:"observation"`
   Date time.Time `json:"date"`
   Time TimeZone `json:"time"`
}
type ObservationPrimitiveBuilder struct {
   concerto_1_0_0.Concept
   Side QuotationSideEnum `json:"side"`
   Observation float64 `json:"observation"`
   Date time.Time `json:"date"`
}
type ValuationDate struct {
   concerto_1_0_0.Concept
   SingleValuationDate SingleValuationDate `json:"singleValuationDate"`
   MultipleValuationDates MultipleValuationDates `json:"multipleValuationDates"`
}
type ValuationDateBuilder struct {
   concerto_1_0_0.Concept
}
type PartyRole struct {
   concerto_1_0_0.Concept
   Role PartyRoleEnum `json:"role"`
   PartyReference string `json:"partyReference"`
}
type PartyRoleBuilder struct {
   concerto_1_0_0.Concept
   Role PartyRoleEnum `json:"role"`
   PartyReference string `json:"partyReference"`
}
type TimeUnitEnum int
const (
   SECOND TimeUnitEnum = 1 + iota
   MINUTE
   HOUR
   DAY
   WEEK
   MONTH
   YEAR
)
type TimeZone struct {
   concerto_1_0_0.Concept
   Location string `json:"location"`
   LocationScheme string `json:"locationScheme"`
   Time time.Time `json:"time"`
}
type TimeZoneBuilder struct {
   concerto_1_0_0.Concept
   Location string `json:"location"`
   LocationScheme string `json:"locationScheme"`
   Time time.Time `json:"time"`
}
type Tranche struct {
   concerto_1_0_0.Concept
   AttachmentPoint float64 `json:"attachmentPoint"`
   ExhaustionPoint float64 `json:"exhaustionPoint"`
   IncurredRecoveryApplicable bool `json:"incurredRecoveryApplicable"`
}
type TrancheBuilder struct {
   concerto_1_0_0.Concept
   AttachmentPoint float64 `json:"attachmentPoint"`
   ExhaustionPoint float64 `json:"exhaustionPoint"`
   IncurredRecoveryApplicable bool `json:"incurredRecoveryApplicable"`
}
type StrategyFeature struct {
   concerto_1_0_0.Concept
   StrikeSpread StrikeSpread `json:"strikeSpread"`
   CalendarSpread CalendarSpread `json:"calendarSpread"`
}
type StrategyFeatureBuilder struct {
   concerto_1_0_0.Concept
}
type FloatingAmountEvents struct {
   concerto_1_0_0.Concept
   FailureToPayPrincipal bool `json:"failureToPayPrincipal"`
   Writedown bool `json:"writedown"`
   ImpliedWritedown bool `json:"impliedWritedown"`
   AdditionalFixedPayments AdditionalFixedPayments `json:"additionalFixedPayments"`
   InterestShortfall InterestShortFall `json:"interestShortfall"`
   FloatingAmountProvisions FloatingAmountProvisions `json:"floatingAmountProvisions"`
}
type FloatingAmountEventsBuilder struct {
   concerto_1_0_0.Concept
   FailureToPayPrincipal bool `json:"failureToPayPrincipal"`
   Writedown bool `json:"writedown"`
   ImpliedWritedown bool `json:"impliedWritedown"`
}
type Collateral struct {
   concerto_1_0_0.Concept
   IndependentAmount IndependentAmount `json:"independentAmount"`
}
type CollateralBuilder struct {
   concerto_1_0_0.Concept
}
type CurveBuilder struct {
   concerto_1_0_0.Concept
   CommodityCurveScheme string `json:"commodityCurveScheme"`
   CommodityCurve CommodityReferencePriceEnum `json:"commodityCurve"`
}
type Curve struct {
   concerto_1_0_0.Concept
   CommodityCurveScheme string `json:"commodityCurveScheme"`
   InterestRateCurve InterestRateCurve `json:"interestRateCurve"`
   CommodityCurve CommodityReferencePriceEnum `json:"commodityCurve"`
}
type PassThrough struct {
   concerto_1_0_0.Concept
   PassThroughItem []PassThroughItem `json:"passThroughItem"`
}
type PassThroughBuilder struct {
   concerto_1_0_0.Concept
}
type QuotationStyleEnum int
const (
   POINTS_UP_FRONT QuotationStyleEnum = 1 + iota
   TRADED_SPREAD
   PRICE
)
type ReferencePoolItemBuilder struct {
   concerto_1_0_0.Concept
   ProtectionTermsReference string `json:"protectionTermsReference"`
   SettlementTermsReference string `json:"settlementTermsReference"`
}
type ReferencePoolItem struct {
   concerto_1_0_0.Concept
   ReferencePair ReferencePair `json:"referencePair"`
   ProtectionTermsReference string `json:"protectionTermsReference"`
   SettlementTermsReference string `json:"settlementTermsReference"`
   ConstituentWeight ConstituentWeight `json:"constituentWeight"`
}
type StubPeriod struct {
   concerto_1_0_0.Concept
   CalculationPeriodDatesReference string `json:"calculationPeriodDatesReference"`
   InitialStub StubValue `json:"initialStub"`
   FinalStub StubValue `json:"finalStub"`
}
type StubPeriodBuilder struct {
   concerto_1_0_0.Concept
   CalculationPeriodDatesReference string `json:"calculationPeriodDatesReference"`
}
type Event struct {
   concerto_1_0_0.Concept
   EffectiveDate time.Time `json:"effectiveDate"`
   Primitive PrimitiveEvent `json:"primitive"`
   Lineage Lineage `json:"lineage"`
   MessageInformation MessageInformation `json:"messageInformation"`
   EventIdentifier Identifier `json:"eventIdentifier"`
   EventQualifier string `json:"eventQualifier"`
   EventDate time.Time `json:"eventDate"`
   Action ActionEnum `json:"action"`
   Intent IntentEnum `json:"intent"`
   FunctionCall string `json:"functionCall"`
   EventEffect EventEffect `json:"eventEffect"`
   Party []Party `json:"party"`
   RosettaKey string `json:"rosettaKey"`
   Timestamp EventTimestamp `json:"timestamp"`
}
type EventBuilder struct {
   concerto_1_0_0.Concept
   EffectiveDate time.Time `json:"effectiveDate"`
   EventQualifier string `json:"eventQualifier"`
   EventDate time.Time `json:"eventDate"`
   Action ActionEnum `json:"action"`
   Intent IntentEnum `json:"intent"`
   FunctionCall string `json:"functionCall"`
}
type Transfer struct {
   concerto_1_0_0.Concept
   GrossCashflow []GrossCashflow `json:"grossCashflow"`
   SettlementReference string `json:"settlementReference"`
   RosettaKey string `json:"rosettaKey"`
   TransferDate AdjustableOrAdjustedOrRelativeDate `json:"transferDate"`
   TransferCalculation string `json:"transferCalculation"`
   TransferType TransferTypeEnum `json:"transferType"`
   TransferStatus TransferStatusEnum `json:"transferStatus"`
   PayerReceiver PayerReceiver `json:"payerReceiver"`
   Asset Asset `json:"asset"`
   TransferorTransferee TransferorTransferee `json:"transferorTransferee"`
   Quantity Quantity `json:"quantity"`
   Amount Money `json:"amount"`
}
type TransferBuilder struct {
   concerto_1_0_0.Concept
   SettlementReference string `json:"settlementReference"`
   TransferCalculation string `json:"transferCalculation"`
   TransferType TransferTypeEnum `json:"transferType"`
   TransferStatus TransferStatusEnum `json:"transferStatus"`
}
type SpreadScheduleTypeEnum int
const (
   LONG SpreadScheduleTypeEnum = 1 + iota
   SHORT
)
type AdditionalFixedPayments struct {
   concerto_1_0_0.Concept
   InterestShortfallReimbursement bool `json:"interestShortfallReimbursement"`
   PrincipalShortfallReimbursement bool `json:"principalShortfallReimbursement"`
   WritedownReimbursement bool `json:"writedownReimbursement"`
}
type AdditionalFixedPaymentsBuilder struct {
   concerto_1_0_0.Concept
   InterestShortfallReimbursement bool `json:"interestShortfallReimbursement"`
   PrincipalShortfallReimbursement bool `json:"principalShortfallReimbursement"`
   WritedownReimbursement bool `json:"writedownReimbursement"`
}
type EuropeanExerciseBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
}
type EuropeanExercise struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   ExpirationDate AdjustableOrRelativeDate `json:"expirationDate"`
   RelevantUnderlyingDate AdjustableOrRelativeDates `json:"relevantUnderlyingDate"`
   EarliestExerciseTime BusinessCenterTime `json:"earliestExerciseTime"`
   ExpirationTime BusinessCenterTime `json:"expirationTime"`
   PartialExercise PartialExercise `json:"partialExercise"`
   ExerciseFee ExerciseFee `json:"exerciseFee"`
}
type CreditSeniorityTradingEnum int
const (
   SENIOR CreditSeniorityTradingEnum = 1 + iota
   SUBORDINATE
)
type Barrier struct {
   concerto_1_0_0.Concept
   BarrierCap TriggerEvent `json:"barrierCap"`
   BarrierFloor TriggerEvent `json:"barrierFloor"`
}
type BarrierBuilder struct {
   concerto_1_0_0.Concept
}
type QuoteBasisEnum int
const (
   CURRENCY_1_PER_CURRENCY_2 QuoteBasisEnum = 1 + iota
   CURRENCY_2_PER_CURRENCY_1
)
type BusinessDayAdjustments struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   BusinessDayConvention BusinessDayConventionEnum `json:"businessDayConvention"`
   BusinessCenters BusinessCenters `json:"businessCenters"`
}
type BusinessDayAdjustmentsBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   BusinessDayConvention BusinessDayConventionEnum `json:"businessDayConvention"`
}
type PeriodExtendedEnum int
const (
   T PeriodExtendedEnum = 1 + iota
   D
   W
   M
   Y
)
type FloatingRateDefinition struct {
   concerto_1_0_0.Concept
   FloatingRateMultiplier float64 `json:"floatingRateMultiplier"`
   Spread float64 `json:"spread"`
   CalculatedRate float64 `json:"calculatedRate"`
   RateObservation []RateObservation `json:"rateObservation"`
   CapRate []Strike `json:"capRate"`
   FloorRate []Strike `json:"floorRate"`
}
type FloatingRateDefinitionBuilder struct {
   concerto_1_0_0.Concept
   FloatingRateMultiplier float64 `json:"floatingRateMultiplier"`
   Spread float64 `json:"spread"`
   CalculatedRate float64 `json:"calculatedRate"`
}
type AllocationPrimitiveBuilder struct {
   concerto_1_0_0.Concept
}
type AllocationPrimitive struct {
   concerto_1_0_0.Concept
   Before Execution `json:"before"`
   After AllocationOutcome `json:"after"`
}
type FxRateBuilder struct {
   concerto_1_0_0.Concept
   Rate float64 `json:"rate"`
}
type FxRate struct {
   concerto_1_0_0.Concept
   QuotedCurrencyPair QuotedCurrencyPair `json:"quotedCurrencyPair"`
   Rate float64 `json:"rate"`
}
type ExtendibleProvisionAdjustedDatesBuilder struct {
   concerto_1_0_0.Concept
}
type ExtendibleProvisionAdjustedDates struct {
   concerto_1_0_0.Concept
   ExtensionEvent []ExtensionEvent `json:"extensionEvent"`
}
type RelativeDatesBuilder struct {
   concerto_1_0_0.Concept
   PeriodSkip int32 `json:"periodSkip"`
   BusinessDayConvention BusinessDayConventionEnum `json:"businessDayConvention"`
   BusinessCentersReference string `json:"businessCentersReference"`
   DateRelativeTo string `json:"dateRelativeTo"`
   AdjustedDate time.Time `json:"adjustedDate"`
   DayType DayTypeEnum `json:"dayType"`
   Id string `json:"id"`
   Period PeriodEnum `json:"period"`
   PeriodMultiplier int32 `json:"periodMultiplier"`
}
type RelativeDates struct {
   concerto_1_0_0.Concept
   PeriodSkip int32 `json:"periodSkip"`
   ScheduleBounds DateRange `json:"scheduleBounds"`
   BusinessDayConvention BusinessDayConventionEnum `json:"businessDayConvention"`
   BusinessCenters BusinessCenters `json:"businessCenters"`
   BusinessCentersReference string `json:"businessCentersReference"`
   DateRelativeTo string `json:"dateRelativeTo"`
   AdjustedDate time.Time `json:"adjustedDate"`
   DayType DayTypeEnum `json:"dayType"`
   Id string `json:"id"`
   Period PeriodEnum `json:"period"`
   PeriodMultiplier int32 `json:"periodMultiplier"`
}
type ActionEnum int
const (
   NEW ActionEnum = 1 + iota
   CORRECT
   CANCEL
)
type OptionStrike struct {
   concerto_1_0_0.Concept
   Currency string `json:"currency"`
   Spread float64 `json:"spread"`
   ReferenceSwapCurve ReferenceSwapCurve `json:"referenceSwapCurve"`
   Price float64 `json:"price"`
   Percentage float64 `json:"percentage"`
   StrikeReference string `json:"strikeReference"`
   CurrencyScheme string `json:"currencyScheme"`
}
type OptionStrikeBuilder struct {
   concerto_1_0_0.Concept
   Currency string `json:"currency"`
   Spread float64 `json:"spread"`
   Price float64 `json:"price"`
   Percentage float64 `json:"percentage"`
   StrikeReference string `json:"strikeReference"`
   CurrencyScheme string `json:"currencyScheme"`
}
type ResetPrimitive struct {
   concerto_1_0_0.Concept
   Cashflow Cashflow `json:"cashflow"`
   ResetValue float64 `json:"resetValue"`
   RosettaKey string `json:"rosettaKey"`
   Date time.Time `json:"date"`
}
type ResetPrimitiveBuilder struct {
   concerto_1_0_0.Concept
   ResetValue float64 `json:"resetValue"`
   Date time.Time `json:"date"`
}
type AveragingPeriodBuilder struct {
   concerto_1_0_0.Concept
   MarketDisruptionScheme string `json:"marketDisruptionScheme"`
   MarketDisruption MarketDisruptionEnum `json:"marketDisruption"`
}
type AveragingPeriod struct {
   concerto_1_0_0.Concept
   MarketDisruptionScheme string `json:"marketDisruptionScheme"`
   AveragingDateTimes DateTimeList `json:"averagingDateTimes"`
   AveragingObservations AveragingObservationList `json:"averagingObservations"`
   MarketDisruption MarketDisruptionEnum `json:"marketDisruption"`
   Schedule []AveragingSchedule `json:"schedule"`
}
type PercentageRuleBuilder struct {
   concerto_1_0_0.Concept
   PaymentPercent float64 `json:"paymentPercent"`
   NotionalAmountReference string `json:"notionalAmountReference"`
}
type PercentageRule struct {
   concerto_1_0_0.Concept
   PaymentPercent float64 `json:"paymentPercent"`
   NotionalAmountReference string `json:"notionalAmountReference"`
}
type CalculationAgent struct {
   concerto_1_0_0.Concept
   CalculationAgentBusinessCenterScheme string `json:"calculationAgentBusinessCenterScheme"`
   CalculationAgentBusinessCenter BusinessCenterEnum `json:"calculationAgentBusinessCenter"`
   CalculationAgentPartyReference []string `json:"calculationAgentPartyReference"`
   CalculationAgentParty CalculationAgentPartyEnum `json:"calculationAgentParty"`
}
type CalculationAgentBuilder struct {
   concerto_1_0_0.Concept
   CalculationAgentBusinessCenterScheme string `json:"calculationAgentBusinessCenterScheme"`
   CalculationAgentBusinessCenter BusinessCenterEnum `json:"calculationAgentBusinessCenter"`
   CalculationAgentPartyReference []string `json:"calculationAgentPartyReference"`
   CalculationAgentParty CalculationAgentPartyEnum `json:"calculationAgentParty"`
}
type NaturalPerson struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   Honorific string `json:"honorific"`
   FirstName string `json:"firstName"`
   MiddleName []string `json:"middleName"`
   Initial []string `json:"initial"`
   Surname string `json:"surname"`
   Suffix string `json:"suffix"`
   DateOfBirth time.Time `json:"dateOfBirth"`
}
type NaturalPersonBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   Honorific string `json:"honorific"`
   FirstName string `json:"firstName"`
   MiddleName []string `json:"middleName"`
   Initial []string `json:"initial"`
   Surname string `json:"surname"`
   Suffix string `json:"suffix"`
   DateOfBirth time.Time `json:"dateOfBirth"`
}
type BusinessDateRangeBuilder struct {
   concerto_1_0_0.Concept
   BusinessDayConvention BusinessDayConventionEnum `json:"businessDayConvention"`
   UnadjustedFirstDate time.Time `json:"unadjustedFirstDate"`
   UnadjustedLastDate time.Time `json:"unadjustedLastDate"`
}
type BusinessDateRange struct {
   concerto_1_0_0.Concept
   BusinessDayConvention BusinessDayConventionEnum `json:"businessDayConvention"`
   BusinessCenters BusinessCenters `json:"businessCenters"`
   UnadjustedFirstDate time.Time `json:"unadjustedFirstDate"`
   UnadjustedLastDate time.Time `json:"unadjustedLastDate"`
}
type CancelableProvision struct {
   concerto_1_0_0.Concept
   FollowUpConfirmation bool `json:"followUpConfirmation"`
   AmericanExercise AmericanExercise `json:"americanExercise"`
   BermudaExercise BermudaExercise `json:"bermudaExercise"`
   EuropeanExercise EuropeanExercise `json:"europeanExercise"`
   ExerciseNotice ExerciseNotice `json:"exerciseNotice"`
   InitialFee SimplePayment `json:"initialFee"`
   CancelableProvisionAdjustedDates CancelableProvisionAdjustedDates `json:"cancelableProvisionAdjustedDates"`
   FinalCalculationPeriodDateAdjustment []FinalCalculationPeriodDateAdjustment `json:"finalCalculationPeriodDateAdjustment"`
   SellerPartyReference string `json:"sellerPartyReference"`
   BuyerPartyReference string `json:"buyerPartyReference"`
   BuyerAccountReference string `json:"buyerAccountReference"`
   SellerAccountReference string `json:"sellerAccountReference"`
}
type CancelableProvisionBuilder struct {
   concerto_1_0_0.Concept
   FollowUpConfirmation bool `json:"followUpConfirmation"`
   SellerPartyReference string `json:"sellerPartyReference"`
   BuyerPartyReference string `json:"buyerPartyReference"`
   BuyerAccountReference string `json:"buyerAccountReference"`
   SellerAccountReference string `json:"sellerAccountReference"`
}
type BrokerConfirmationTypeEnum int
const (
   ABX BrokerConfirmationTypeEnum = 1 + iota
   CD_SON_MBS
)
type QuotationRateTypeEnum int
const (
   BID QuotationRateTypeEnum = 1 + iota
   ASK
   MID
   EXERCISING_PARTY_PAYS
)
type PriceSourceDisruptionBuilder struct {
   concerto_1_0_0.Concept
}
type PriceSourceDisruption struct {
   concerto_1_0_0.Concept
   FallbackReferencePrice FallbackReferencePrice `json:"fallbackReferencePrice"`
}
type CreditDefaultPayout struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   PhysicalSettlementTerms PhysicalSettlementTerms `json:"physicalSettlementTerms"`
   RosettaKeyValue string `json:"rosettaKeyValue"`
   ProtectionTerms ProtectionTerms `json:"protectionTerms"`
   GeneralTerms GeneralTerms `json:"generalTerms"`
   CashSettlementTerms CashSettlementTerms `json:"cashSettlementTerms"`
   TransactedPrice TransactedPrice `json:"transactedPrice"`
}
type CreditDefaultPayoutBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
}
type CashPriceMethodBuilder struct {
   concerto_1_0_0.Concept
   CashSettlementCurrencyScheme string `json:"cashSettlementCurrencyScheme"`
   CashSettlementCurrency string `json:"cashSettlementCurrency"`
   QuotationRateType QuotationRateTypeEnum `json:"quotationRateType"`
}
type CashPriceMethod struct {
   concerto_1_0_0.Concept
   CashSettlementCurrencyScheme string `json:"cashSettlementCurrencyScheme"`
   CashSettlementReferenceBanks CashSettlementReferenceBanks `json:"cashSettlementReferenceBanks"`
   CashSettlementCurrency string `json:"cashSettlementCurrency"`
   QuotationRateType QuotationRateTypeEnum `json:"quotationRateType"`
}
type TimeTypeEnum int
const (
   CLOSE TimeTypeEnum = 1 + iota
   OPEN
   OSP
   SPECIFIC_TIME
   XETRA
   DERIVATIVES_CLOSE
   AS_SPECIFIED_IN_MASTER_CONFIRMATION
)
type InformationProviderEnum int
const (
   BANK_OF_JAPAN InformationProviderEnum = 1 + iota
   BLOOMBERG
   ISDA
   REUTERS
   TELERATE
   OTHER
)
type RollConventionEnum int
const (
   EOM RollConventionEnum = 1 + iota
   FRN
   IMM
   IMMCAD
   IMMAUD
   IMMNZD
   SFE
   NONE
   TBILL
   _1
   _2
   _3
   _4
   _5
   _6
   _7
   _8
   _9
   _10
   _11
   _12
   _13
   _14
   _15
   _16
   _17
   _18
   _19
   _20
   _21
   _22
   _23
   _24
   _25
   _26
   _27
   _28
   _29
   _30
   MON
   TUE
   WED
   THU
   FRI
   SAT
   SUN
)
type Mortgage struct {
   concerto_1_0_0.Concept
   PaymentFrequency Period `json:"paymentFrequency"`
   DayCountFractionScheme string `json:"dayCountFractionScheme"`
   SectorScheme string `json:"sectorScheme"`
   Tranche string `json:"tranche"`
   Insurer Party `json:"insurer"`
   InsurerReference string `json:"insurerReference"`
   OriginalPrincipalAmount float64 `json:"originalPrincipalAmount"`
   Sector MortgageSectorEnum `json:"sector"`
   DayCountFraction DayCountFractionEnum `json:"dayCountFraction"`
   Pool AssetPool `json:"pool"`
   CouponTypeScheme string `json:"couponTypeScheme"`
   SeniorityScheme string `json:"seniorityScheme"`
   IssuerName string `json:"issuerName"`
   IssuerReference string `json:"issuerReference"`
   Seniority CreditSeniorityEnum `json:"seniority"`
   CouponType CouponTypeEnum `json:"couponType"`
   CouponRate float64 `json:"couponRate"`
   Maturity time.Time `json:"maturity"`
   IssueDate time.Time `json:"issueDate"`
   Id string `json:"id"`
   Currency string `json:"currency"`
   ClearanceSystemScheme string `json:"clearanceSystemScheme"`
   ProductIdentifierScheme string `json:"productIdentifierScheme"`
   ProductIdentifier []ProductIdentifier `json:"productIdentifier"`
   ProductTaxonomy []ProductTaxonomy `json:"productTaxonomy"`
   Description string `json:"description"`
   ClearanceSystem string `json:"clearanceSystem"`
   CurrencyScheme string `json:"currencyScheme"`
}
type MortgageBuilder struct {
   concerto_1_0_0.Concept
   DayCountFractionScheme string `json:"dayCountFractionScheme"`
   SectorScheme string `json:"sectorScheme"`
   Tranche string `json:"tranche"`
   InsurerReference string `json:"insurerReference"`
   OriginalPrincipalAmount float64 `json:"originalPrincipalAmount"`
   Sector MortgageSectorEnum `json:"sector"`
   DayCountFraction DayCountFractionEnum `json:"dayCountFraction"`
   CouponTypeScheme string `json:"couponTypeScheme"`
   SeniorityScheme string `json:"seniorityScheme"`
   IssuerName string `json:"issuerName"`
   IssuerReference string `json:"issuerReference"`
   Seniority CreditSeniorityEnum `json:"seniority"`
   CouponType CouponTypeEnum `json:"couponType"`
   CouponRate float64 `json:"couponRate"`
   Maturity time.Time `json:"maturity"`
   IssueDate time.Time `json:"issueDate"`
   Id string `json:"id"`
   Currency string `json:"currency"`
   ClearanceSystemScheme string `json:"clearanceSystemScheme"`
   ProductIdentifierScheme string `json:"productIdentifierScheme"`
   Description string `json:"description"`
   ClearanceSystem string `json:"clearanceSystem"`
   CurrencyScheme string `json:"currencyScheme"`
}
type AssetClassEnum int
const (
   COMMODITY AssetClassEnum = 1 + iota
   CREDIT
   EQUITY
   FOREIGN_EXCHANGE
   INTEREST_RATE
)
type GoverningLawEnum int
const (
   AS_SPECIFIED_IN_MASTER_AGREEMENT GoverningLawEnum = 1 + iota
)
type CategoryEnum int
const (
   TBD CategoryEnum = 1 + iota
)
type PaymentDiscounting struct {
   concerto_1_0_0.Concept
   DiscountFactor float64 `json:"discountFactor"`
   PresentValueAmount Money `json:"presentValueAmount"`
}
type PaymentDiscountingBuilder struct {
   concerto_1_0_0.Concept
   DiscountFactor float64 `json:"discountFactor"`
}
type ReferenceSwapCurve struct {
   concerto_1_0_0.Concept
   SwapUnwindValue SwapCurveValuation `json:"swapUnwindValue"`
   MakeWholeAmount MakeWholeAmount `json:"makeWholeAmount"`
}
type ReferenceSwapCurveBuilder struct {
   concerto_1_0_0.Concept
}
type InterestRate struct {
   concerto_1_0_0.Concept
   FloatingRate FloatingRateCalculation `json:"floatingRate"`
   InflationRate InflationRateCalculation `json:"inflationRate"`
   FixedRate Schedule `json:"fixedRate"`
}
type InterestRateBuilder struct {
   concerto_1_0_0.Concept
}
type PartyContractIdentifierBuilder struct {
   concerto_1_0_0.Concept
   AccountReference string `json:"accountReference"`
   PartyReference string `json:"partyReference"`
   Issuer string `json:"issuer"`
   IssuerScheme string `json:"issuerScheme"`
   Version int32 `json:"version"`
}
type PartyContractIdentifier struct {
   concerto_1_0_0.Concept
   LinkId []LinkId `json:"linkId"`
   AllocationTradeId []ContractIdentifier `json:"allocationTradeId"`
   ResultingTradeId []ContractIdentifierExtended `json:"resultingTradeId"`
   BlockTradeId ContractIdentifier `json:"blockTradeId"`
   OriginatingTradeId []ContractIdentifier `json:"originatingTradeId"`
   AccountReference string `json:"accountReference"`
   PartyReference string `json:"partyReference"`
   IdentifierValue IdentifierValue `json:"identifierValue"`
   Issuer string `json:"issuer"`
   IssuerScheme string `json:"issuerScheme"`
   Version int32 `json:"version"`
}
type OptionTypeEnum int
const (
   PUT OptionTypeEnum = 1 + iota
   CALL
   PAYER
   RECEIVER
   STRADDLE
)
type ConvertibleBondBuilder struct {
   concerto_1_0_0.Concept
   RedemptionDate time.Time `json:"redemptionDate"`
   DayCountFractionScheme string `json:"dayCountFractionScheme"`
   ParValue float64 `json:"parValue"`
   IssuanceFaceAmount float64 `json:"issuanceFaceAmount"`
   DayCountFraction DayCountFractionEnum `json:"dayCountFraction"`
   CouponTypeScheme string `json:"couponTypeScheme"`
   SeniorityScheme string `json:"seniorityScheme"`
   IssuerName string `json:"issuerName"`
   IssuerReference string `json:"issuerReference"`
   Seniority CreditSeniorityEnum `json:"seniority"`
   CouponType CouponTypeEnum `json:"couponType"`
   CouponRate float64 `json:"couponRate"`
   Maturity time.Time `json:"maturity"`
   IssueDate time.Time `json:"issueDate"`
   Id string `json:"id"`
   Currency string `json:"currency"`
   ClearanceSystemScheme string `json:"clearanceSystemScheme"`
   ProductIdentifierScheme string `json:"productIdentifierScheme"`
   Description string `json:"description"`
   ClearanceSystem string `json:"clearanceSystem"`
   CurrencyScheme string `json:"currencyScheme"`
}
type ConvertibleBond struct {
   concerto_1_0_0.Concept
   UnderlyingEquity EquityAsset `json:"underlyingEquity"`
   RedemptionDate time.Time `json:"redemptionDate"`
   PaymentFrequency Period `json:"paymentFrequency"`
   DayCountFractionScheme string `json:"dayCountFractionScheme"`
   ParValue float64 `json:"parValue"`
   IssuanceFaceAmount float64 `json:"issuanceFaceAmount"`
   DayCountFraction DayCountFractionEnum `json:"dayCountFraction"`
   CouponTypeScheme string `json:"couponTypeScheme"`
   SeniorityScheme string `json:"seniorityScheme"`
   IssuerName string `json:"issuerName"`
   IssuerReference string `json:"issuerReference"`
   Seniority CreditSeniorityEnum `json:"seniority"`
   CouponType CouponTypeEnum `json:"couponType"`
   CouponRate float64 `json:"couponRate"`
   Maturity time.Time `json:"maturity"`
   IssueDate time.Time `json:"issueDate"`
   Id string `json:"id"`
   Currency string `json:"currency"`
   ClearanceSystemScheme string `json:"clearanceSystemScheme"`
   ProductIdentifierScheme string `json:"productIdentifierScheme"`
   ProductIdentifier []ProductIdentifier `json:"productIdentifier"`
   ProductTaxonomy []ProductTaxonomy `json:"productTaxonomy"`
   Description string `json:"description"`
   ClearanceSystem string `json:"clearanceSystem"`
   CurrencyScheme string `json:"currencyScheme"`
}
type Offset struct {
   concerto_1_0_0.Concept
   DayType DayTypeEnum `json:"dayType"`
   Id string `json:"id"`
   Period PeriodEnum `json:"period"`
   PeriodMultiplier int32 `json:"periodMultiplier"`
}
type OffsetBuilder struct {
   concerto_1_0_0.Concept
   DayType DayTypeEnum `json:"dayType"`
   Id string `json:"id"`
   Period PeriodEnum `json:"period"`
   PeriodMultiplier int32 `json:"periodMultiplier"`
}
type StandardSettlementStyleEnum int
const (
   STANDARD StandardSettlementStyleEnum = 1 + iota
   NET
   STANDARD_AND_NET
)
type PaymentDates struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   PaymentFrequency Frequency `json:"paymentFrequency"`
   PaymentDaysOffset Offset `json:"paymentDaysOffset"`
   LastRegularPaymentDate time.Time `json:"lastRegularPaymentDate"`
   ResetDatesReference string `json:"resetDatesReference"`
   ValuationDatesReference string `json:"valuationDatesReference"`
   PaymentDelay bool `json:"paymentDelay"`
   PayRelativeTo PayRelativeToEnum `json:"payRelativeTo"`
   FirstPaymentDate time.Time `json:"firstPaymentDate"`
   CalculationPeriodDatesReference string `json:"calculationPeriodDatesReference"`
   PaymentDatesAdjustments BusinessDayAdjustments `json:"paymentDatesAdjustments"`
}
type PaymentDatesBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   LastRegularPaymentDate time.Time `json:"lastRegularPaymentDate"`
   ResetDatesReference string `json:"resetDatesReference"`
   ValuationDatesReference string `json:"valuationDatesReference"`
   PaymentDelay bool `json:"paymentDelay"`
   PayRelativeTo PayRelativeToEnum `json:"payRelativeTo"`
   FirstPaymentDate time.Time `json:"firstPaymentDate"`
   CalculationPeriodDatesReference string `json:"calculationPeriodDatesReference"`
}
type QuotedCurrencyPair struct {
   concerto_1_0_0.Concept
   Currency1 string `json:"currency1"`
   Currency2 string `json:"currency2"`
   QuoteBasis QuoteBasisEnum `json:"quoteBasis"`
   Currency1Scheme string `json:"currency1Scheme"`
   Currency2Scheme string `json:"currency2Scheme"`
}
type QuotedCurrencyPairBuilder struct {
   concerto_1_0_0.Concept
   Currency1 string `json:"currency1"`
   Currency2 string `json:"currency2"`
   QuoteBasis QuoteBasisEnum `json:"quoteBasis"`
   Currency1Scheme string `json:"currency1Scheme"`
   Currency2Scheme string `json:"currency2Scheme"`
}
type ObservationSource struct {
   concerto_1_0_0.Concept
   Curve Curve `json:"curve"`
   InformationSource InformationSource `json:"informationSource"`
}
type ObservationSourceBuilder struct {
   concerto_1_0_0.Concept
}
type ContractIdentifierExtended struct {
   concerto_1_0_0.Concept
   AssociatedParty string `json:"associatedParty"`
   AccountReference string `json:"accountReference"`
   PartyReference string `json:"partyReference"`
   IdentifierValue IdentifierValue `json:"identifierValue"`
   Issuer string `json:"issuer"`
   IssuerScheme string `json:"issuerScheme"`
   Version int32 `json:"version"`
}
type ContractIdentifierExtendedBuilder struct {
   concerto_1_0_0.Concept
   AssociatedParty string `json:"associatedParty"`
   AccountReference string `json:"accountReference"`
   PartyReference string `json:"partyReference"`
   Issuer string `json:"issuer"`
   IssuerScheme string `json:"issuerScheme"`
   Version int32 `json:"version"`
}
type StrikeBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   Buyer PayerReceiverEnum `json:"buyer"`
   Seller PayerReceiverEnum `json:"seller"`
   StrikeRate float64 `json:"strikeRate"`
}
type Strike struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   Buyer PayerReceiverEnum `json:"buyer"`
   Seller PayerReceiverEnum `json:"seller"`
   StrikeRate float64 `json:"strikeRate"`
}
type PaymentTypeEnum int
const (
   NET_CASHFLOW PaymentTypeEnum = 1 + iota
   BROKERAGE_COMMISSION
   FEE
   INTEREST
   NET_INTEREST
   NOVATION_FEE
   PREMIUM
   TERMINATION_FEE
)
type StrikeSchedule struct {
   concerto_1_0_0.Concept
   Buyer PayerReceiverEnum `json:"buyer"`
   Seller PayerReceiverEnum `json:"seller"`
   Id string `json:"id"`
   InitialValue float64 `json:"initialValue"`
   Step []Step `json:"step"`
}
type StrikeScheduleBuilder struct {
   concerto_1_0_0.Concept
   Buyer PayerReceiverEnum `json:"buyer"`
   Seller PayerReceiverEnum `json:"seller"`
   Id string `json:"id"`
   InitialValue float64 `json:"initialValue"`
}
type AveragingMethodEnum int
const (
   UNWEIGHTED AveragingMethodEnum = 1 + iota
   WEIGHTED
)
type IntentEnum int
const (
   ALLOCATION IntentEnum = 1 + iota
   COMPRESSION
   CORRECTION
   EARLY_TERMINATION
   EXERCISE
   INCREASE
   NEW_TRADE
   NOVATION
   PARTIAL_NOVATION
   PARTIAL_TERMINATION
   PORTFOLIO_COMPRESSION
   RENEGOTIATION
   TERMINATION
)
type ExercisePrimitive struct {
   concerto_1_0_0.Concept
   Before ContractOrContractReference `json:"before"`
   ExerciseDate time.Time `json:"exerciseDate"`
   ExerciseTime time.Time `json:"exerciseTime"`
   FullExercise bool `json:"fullExercise"`
   After ExerciseOutcome `json:"after"`
}
type ExercisePrimitiveBuilder struct {
   concerto_1_0_0.Concept
   ExerciseDate time.Time `json:"exerciseDate"`
   ExerciseTime time.Time `json:"exerciseTime"`
   FullExercise bool `json:"fullExercise"`
}
type DayOfWeekEnum int
const (
   MON DayOfWeekEnum = 1 + iota
   TUE
   WED
   THU
   FRI
   SAT
   SUN
)
type AccountTypeEnum int
const (
   AGGREGATE_CLIENT AccountTypeEnum = 1 + iota
   CLIENT
   HOUSE
)
type AdjustedRelativeDateOffset struct {
   concerto_1_0_0.Concept
   RelativeDateAdjustments BusinessDayAdjustments `json:"relativeDateAdjustments"`
   BusinessDayConvention BusinessDayConventionEnum `json:"businessDayConvention"`
   BusinessCenters BusinessCenters `json:"businessCenters"`
   BusinessCentersReference string `json:"businessCentersReference"`
   DateRelativeTo string `json:"dateRelativeTo"`
   AdjustedDate time.Time `json:"adjustedDate"`
   DayType DayTypeEnum `json:"dayType"`
   Id string `json:"id"`
   Period PeriodEnum `json:"period"`
   PeriodMultiplier int32 `json:"periodMultiplier"`
}
type AdjustedRelativeDateOffsetBuilder struct {
   concerto_1_0_0.Concept
   BusinessDayConvention BusinessDayConventionEnum `json:"businessDayConvention"`
   BusinessCentersReference string `json:"businessCentersReference"`
   DateRelativeTo string `json:"dateRelativeTo"`
   AdjustedDate time.Time `json:"adjustedDate"`
   DayType DayTypeEnum `json:"dayType"`
   Id string `json:"id"`
   Period PeriodEnum `json:"period"`
   PeriodMultiplier int32 `json:"periodMultiplier"`
}
type CreditSupportAgreementBuilder struct {
   concerto_1_0_0.Concept
   Type CreditSupportAgreementTypeEnum `json:"type"`
   IdentifierValue string `json:"identifierValue"`
   Date time.Time `json:"date"`
   TypeScheme string `json:"typeScheme"`
}
type CreditSupportAgreement struct {
   concerto_1_0_0.Concept
   Type CreditSupportAgreementTypeEnum `json:"type"`
   IdentifierValue string `json:"identifierValue"`
   Date time.Time `json:"date"`
   TypeScheme string `json:"typeScheme"`
}
type PaymentStatusEnum int
const (
   DISPUTED PaymentStatusEnum = 1 + iota
   INSTRUCTED
   PENDING
   SETTLED
)
type LinkId struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   LinkId string `json:"linkId"`
   LinkIdScheme string `json:"linkIdScheme"`
}
type LinkIdBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   LinkId string `json:"linkId"`
   LinkIdScheme string `json:"linkIdScheme"`
}
type MasterConfirmationTypeEnum int
const (
   CREDIT_INDEX_2003 MasterConfirmationTypeEnum = 1 + iota
   DJ_CDX_NA
   DJ_I_TRAXX_EUROPE
   ISDA_1999_CREDIT
   ISDA_2003_CREDIT_JAPAN
   ISDA_2003_CREDIT_NORTH_AMERICAN
)
type MatrixTypeEnum int
const (
   CREDIT_DERIVATIVES_PHYSICAL_SETTLEMENT_MATRIX MatrixTypeEnum = 1 + iota
   EQUITY_DERIVATIVES_MATRIX
   SETTLEMENT_MATRIX
)
type ExtendibleProvisionBuilder struct {
   concerto_1_0_0.Concept
   FollowUpConfirmation bool `json:"followUpConfirmation"`
   SellerPartyReference string `json:"sellerPartyReference"`
   BuyerPartyReference string `json:"buyerPartyReference"`
   BuyerAccountReference string `json:"buyerAccountReference"`
   SellerAccountReference string `json:"sellerAccountReference"`
}
type ExtendibleProvision struct {
   concerto_1_0_0.Concept
   FollowUpConfirmation bool `json:"followUpConfirmation"`
   AmericanExercise AmericanExercise `json:"americanExercise"`
   BermudaExercise BermudaExercise `json:"bermudaExercise"`
   EuropeanExercise EuropeanExercise `json:"europeanExercise"`
   ExerciseNotice ExerciseNotice `json:"exerciseNotice"`
   ExtendibleProvisionAdjustedDates ExtendibleProvisionAdjustedDates `json:"extendibleProvisionAdjustedDates"`
   SellerPartyReference string `json:"sellerPartyReference"`
   BuyerPartyReference string `json:"buyerPartyReference"`
   BuyerAccountReference string `json:"buyerAccountReference"`
   SellerAccountReference string `json:"sellerAccountReference"`
}
type InterestShortfallCapEnum int
const (
   FIXED InterestShortfallCapEnum = 1 + iota
   VARIABLE
)
type ExtensionEvent struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   AdjustedExerciseDate time.Time `json:"adjustedExerciseDate"`
   AdjustedExtendedTerminationDate time.Time `json:"adjustedExtendedTerminationDate"`
}
type ExtensionEventBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   AdjustedExerciseDate time.Time `json:"adjustedExerciseDate"`
   AdjustedExtendedTerminationDate time.Time `json:"adjustedExtendedTerminationDate"`
}
type CreditSeniorityEnum int
const (
   OTHER CreditSeniorityEnum = 1 + iota
   SENIOR_SEC
   SENIOR_UN_SEC
   SUB_LOWER_TIER_2
   SUB_TIER_1
   SUB_TIER_3
   SUB_UPPER_TIER_2
)
type InterpolationMethodEnum int
const (
   LINEAR_ZERO_YIELD InterpolationMethodEnum = 1 + iota
   NONE
)
type AdjustableOrAdjustedDate struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   UnadjustedDate time.Time `json:"unadjustedDate"`
   AdjustedDate time.Time `json:"adjustedDate"`
   DateAdjustments BusinessDayAdjustments `json:"dateAdjustments"`
}
type AdjustableOrAdjustedDateBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   UnadjustedDate time.Time `json:"unadjustedDate"`
   AdjustedDate time.Time `json:"adjustedDate"`
}
type BuyerSeller struct {
   concerto_1_0_0.Concept
   SellerPartyReference string `json:"sellerPartyReference"`
   BuyerPartyReference string `json:"buyerPartyReference"`
   BuyerAccountReference string `json:"buyerAccountReference"`
   SellerAccountReference string `json:"sellerAccountReference"`
}
type BuyerSellerBuilder struct {
   concerto_1_0_0.Concept
   SellerPartyReference string `json:"sellerPartyReference"`
   BuyerPartyReference string `json:"buyerPartyReference"`
   BuyerAccountReference string `json:"buyerAccountReference"`
   SellerAccountReference string `json:"sellerAccountReference"`
}
type PaymentBuilder struct {
   concerto_1_0_0.Concept
   PaymentType PaymentTypeEnum `json:"paymentType"`
   PaymentStatus PaymentStatusEnum `json:"paymentStatus"`
   SettlementReference string `json:"settlementReference"`
   Id string `json:"id"`
   DiscountFactor float64 `json:"discountFactor"`
}
type Payment struct {
   concerto_1_0_0.Concept
   PaymentType PaymentTypeEnum `json:"paymentType"`
   PaymentDate AdjustableOrAdjustedOrRelativeDate `json:"paymentDate"`
   GrossCashflow []GrossCashflow `json:"grossCashflow"`
   PaymentStatus PaymentStatusEnum `json:"paymentStatus"`
   SettlementReference string `json:"settlementReference"`
   RosettaKey string `json:"rosettaKey"`
   PaymentAmount Money `json:"paymentAmount"`
   Id string `json:"id"`
   DiscountFactor float64 `json:"discountFactor"`
   PresentValueAmount Money `json:"presentValueAmount"`
   PremiumExpression PremiumExpression `json:"premiumExpression"`
   PaymentDiscounting PaymentDiscounting `json:"paymentDiscounting"`
   PayerReceiver PayerReceiver `json:"payerReceiver"`
}
type LengthUnitEnum int
const (
   PAGES LengthUnitEnum = 1 + iota
   TIME_UNIT
)
type SingleValuationDateBuilder struct {
   concerto_1_0_0.Concept
   BusinessDays int32 `json:"businessDays"`
}
type SingleValuationDate struct {
   concerto_1_0_0.Concept
   BusinessDays int32 `json:"businessDays"`
}
type PayerReceiverEnum int
const (
   PAYER PayerReceiverEnum = 1 + iota
   RECEIVER
)
type FloatingRateCalculation struct {
   concerto_1_0_0.Concept
   InitialRate float64 `json:"initialRate"`
   FinalRateRounding Rounding `json:"finalRateRounding"`
   AveragingMethod AveragingMethodEnum `json:"averagingMethod"`
   NegativeInterestRateTreatment NegativeInterestRateTreatmentEnum `json:"negativeInterestRateTreatment"`
   Id string `json:"id"`
   SpreadSchedule []SpreadSchedule `json:"spreadSchedule"`
   FloatingRateIndexScheme string `json:"floatingRateIndexScheme"`
   FloatingRateMultiplierSchedule Schedule `json:"floatingRateMultiplierSchedule"`
   FloatingRateIndex FloatingRateIndexEnum `json:"floatingRateIndex"`
   IndexTenor Period `json:"indexTenor"`
   RateTreatment RateTreatmentEnum `json:"rateTreatment"`
   CapRateSchedule []StrikeSchedule `json:"capRateSchedule"`
   FloorRateSchedule []StrikeSchedule `json:"floorRateSchedule"`
}
type FloatingRateCalculationBuilder struct {
   concerto_1_0_0.Concept
   InitialRate float64 `json:"initialRate"`
   AveragingMethod AveragingMethodEnum `json:"averagingMethod"`
   NegativeInterestRateTreatment NegativeInterestRateTreatmentEnum `json:"negativeInterestRateTreatment"`
   Id string `json:"id"`
   FloatingRateIndexScheme string `json:"floatingRateIndexScheme"`
   FloatingRateIndex FloatingRateIndexEnum `json:"floatingRateIndex"`
   RateTreatment RateTreatmentEnum `json:"rateTreatment"`
}
type EventTestBundleBuilder struct {
   concerto_1_0_0.Concept
}
type EventTestBundle struct {
   concerto_1_0_0.Concept
   Event []Event `json:"event"`
   ComputedAmount []ComputedAmount `json:"computedAmount"`
}
type NonDeliverableSettlementBuilder struct {
   concerto_1_0_0.Concept
   ReferenceCurrency string `json:"referenceCurrency"`
   SettlementRateOption SettlementRateOptionEnum `json:"settlementRateOption"`
   ReferenceCurrencyScheme string `json:"referenceCurrencyScheme"`
   SettlementRateOptionScheme string `json:"settlementRateOptionScheme"`
}
type NonDeliverableSettlement struct {
   concerto_1_0_0.Concept
   ReferenceCurrency string `json:"referenceCurrency"`
   FxFixingDate FxFixingDate `json:"fxFixingDate"`
   FxFixingSchedule AdjustableDates `json:"fxFixingSchedule"`
   SettlementRateOption SettlementRateOptionEnum `json:"settlementRateOption"`
   PriceSourceDisruption PriceSourceDisruption `json:"priceSourceDisruption"`
   ReferenceCurrencyScheme string `json:"referenceCurrencyScheme"`
   SettlementRateOptionScheme string `json:"settlementRateOptionScheme"`
}
type AutomaticExercise struct {
   concerto_1_0_0.Concept
   ThresholdRate float64 `json:"thresholdRate"`
}
type AutomaticExerciseBuilder struct {
   concerto_1_0_0.Concept
   ThresholdRate float64 `json:"thresholdRate"`
}
type MasterConfirmationAnnexTypeEnum int
const (
   ISDA_2004_INDEX_VARIANCE_SWAP_AMERICAS_INTERDEALER MasterConfirmationAnnexTypeEnum = 1 + iota
)
type CalculationPeriodFrequency struct {
   concerto_1_0_0.Concept
   RollConvention RollConventionEnum `json:"rollConvention"`
   Id string `json:"id"`
   Period PeriodExtendedEnum `json:"period"`
   PeriodMultiplier int32 `json:"periodMultiplier"`
}
type CalculationPeriodFrequencyBuilder struct {
   concerto_1_0_0.Concept
   RollConvention RollConventionEnum `json:"rollConvention"`
   Id string `json:"id"`
   Period PeriodExtendedEnum `json:"period"`
   PeriodMultiplier int32 `json:"periodMultiplier"`
}
type CashflowRepresentationBuilder struct {
   concerto_1_0_0.Concept
   CashflowsMatchParameters bool `json:"cashflowsMatchParameters"`
}
type CashflowRepresentation struct {
   concerto_1_0_0.Concept
   CashflowsMatchParameters bool `json:"cashflowsMatchParameters"`
   PrincipalExchange []PrincipalExchange `json:"principalExchange"`
   PaymentCalculationPeriod []PaymentCalculationPeriod `json:"paymentCalculationPeriod"`
}
type DiscountingBuilder struct {
   concerto_1_0_0.Concept
   DiscountRateDayCountFraction DayCountFractionEnum `json:"discountRateDayCountFraction"`
   DiscountRate float64 `json:"discountRate"`
   DiscountingType DiscountingTypeEnum `json:"discountingType"`
   DiscountRateDayCountFractionScheme string `json:"discountRateDayCountFractionScheme"`
}
type Discounting struct {
   concerto_1_0_0.Concept
   DiscountRateDayCountFraction DayCountFractionEnum `json:"discountRateDayCountFraction"`
   DiscountRate float64 `json:"discountRate"`
   DiscountingType DiscountingTypeEnum `json:"discountingType"`
   DiscountRateDayCountFractionScheme string `json:"discountRateDayCountFractionScheme"`
}
type YieldCurveMethod struct {
   concerto_1_0_0.Concept
   QuotationRateType QuotationRateTypeEnum `json:"quotationRateType"`
   SettlementRateSource SettlementRateSource `json:"settlementRateSource"`
}
type YieldCurveMethodBuilder struct {
   concerto_1_0_0.Concept
   QuotationRateType QuotationRateTypeEnum `json:"quotationRateType"`
}
type CreditSupportAgreementTypeEnum int
const (
   ISDA_1994_CREDIT_SUPPORT_ANNEX_NEW_YORK_LAW CreditSupportAgreementTypeEnum = 1 + iota
   ISDA_1995_CREDIT_SUPPORT_ANNEX_ENGLISH_LAW
   ISDA_1995_CREDIT_SUPPORT_ANNEX_JAPANESE_LAW
   ISDA_1995_CREDIT_SUPPORT_DEED_ENGLISH_LAW
   ISDA_2001_MARGIN_PROVISIONS
   ISDA_2013_STANDARD_CREDIT_SUPPORT_AGREEMENT
   ISDA_2014_STANDARD_CREDIT_SUPPORT_AGREEMENT
)
type OptionExercise struct {
   concerto_1_0_0.Concept
   OptionStyle OptionStyle `json:"optionStyle"`
   Strike OptionStrike `json:"strike"`
   ExerciseProcedure ExerciseProcedure `json:"exerciseProcedure"`
   Settlement OptionSettlement `json:"settlement"`
}
type OptionExerciseBuilder struct {
   concerto_1_0_0.Concept
}
type CashSettlementPaymentDateBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
}
type CashSettlementPaymentDate struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   AdjustableDates AdjustableDates `json:"adjustableDates"`
   BusinessDateRange BusinessDateRange `json:"businessDateRange"`
   RelativeDate RelativeDateOffset `json:"relativeDate"`
}
type DateList struct {
   concerto_1_0_0.Concept
   Date []time.Time `json:"date"`
}
type DateListBuilder struct {
   concerto_1_0_0.Concept
   Date []time.Time `json:"date"`
}
type DateRange struct {
   concerto_1_0_0.Concept
   UnadjustedFirstDate time.Time `json:"unadjustedFirstDate"`
   UnadjustedLastDate time.Time `json:"unadjustedLastDate"`
}
type DateRangeBuilder struct {
   concerto_1_0_0.Concept
   UnadjustedFirstDate time.Time `json:"unadjustedFirstDate"`
   UnadjustedLastDate time.Time `json:"unadjustedLastDate"`
}
type PrimitiveEvent struct {
   concerto_1_0_0.Concept
   Payment []Payment `json:"payment"`
   Observation []ObservationPrimitive `json:"observation"`
   Transfer []Transfer `json:"transfer"`
   NewTrade []NewTradePrimitive `json:"newTrade"`
   Inception []Inception `json:"inception"`
   QuantityChange []QuantityChangePrimitive `json:"quantityChange"`
   Allocation []AllocationPrimitive `json:"allocation"`
   TermsChange TermsChangePrimitive `json:"termsChange"`
   Exercise ExercisePrimitive `json:"exercise"`
   Reset []ResetPrimitive `json:"reset"`
}
type PrimitiveEventBuilder struct {
   concerto_1_0_0.Concept
}
type StubValueBuilder struct {
   concerto_1_0_0.Concept
   StubRate float64 `json:"stubRate"`
}
type StubValue struct {
   concerto_1_0_0.Concept
   FloatingRate []StubFloatingRate `json:"floatingRate"`
   StubRate float64 `json:"stubRate"`
   StubAmount Money `json:"stubAmount"`
}
type PartyRoleEnum int
const (
   BARRIER_DETERMINATION_AGENT PartyRoleEnum = 1 + iota
   BENEFICIARY
   BROKER
   DETERMINING_PARTY
   HEDGING_PARTY
)
type GrossCashflowBuilder struct {
   concerto_1_0_0.Concept
   CashflowCalculation string `json:"cashflowCalculation"`
   CashflowType CashflowTypeEnum `json:"cashflowType"`
   Id string `json:"id"`
   DiscountFactor float64 `json:"discountFactor"`
}
type GrossCashflow struct {
   concerto_1_0_0.Concept
   PayoutLineage PayoutLineage `json:"payoutLineage"`
   CashflowCalculation string `json:"cashflowCalculation"`
   CashflowType CashflowTypeEnum `json:"cashflowType"`
   CashflowAmount Money `json:"cashflowAmount"`
   Id string `json:"id"`
   DiscountFactor float64 `json:"discountFactor"`
   PresentValueAmount Money `json:"presentValueAmount"`
   PremiumExpression PremiumExpression `json:"premiumExpression"`
   PaymentDiscounting PaymentDiscounting `json:"paymentDiscounting"`
   PayerReceiver PayerReceiver `json:"payerReceiver"`
}
type NaturalPersonRole struct {
   concerto_1_0_0.Concept
   Role NaturalPersonRoleEnum `json:"role"`
   PersonReference string `json:"personReference"`
   RoleScheme string `json:"roleScheme"`
}
type NaturalPersonRoleBuilder struct {
   concerto_1_0_0.Concept
   Role NaturalPersonRoleEnum `json:"role"`
   PersonReference string `json:"personReference"`
   RoleScheme string `json:"roleScheme"`
}
type QuantityTypeEnum int
const (
   UNITS QuantityTypeEnum = 1 + iota
   CONTRACTS
   UNITS_OF_MEASURE_PER_TIME_UNIT
)
type EntityTypeEnum int
const (
   ASIAN EntityTypeEnum = 1 + iota
   AUSTRALIAN_AND_NEW_ZEALAND
   EUROPEAN_EMERGING_MARKETS
   JAPANESE
   NORTH_AMERICAN_HIGH_YIELD
   NORTH_AMERICAN_INSURANCE
   NORTH_AMERICAN_INVESTMENT_GRADE
   SINGAPOREAN
   WESTERN_EUROPEAN
   WESTERN_EUROPEAN_INSURANCE
)
type FxFixingDate struct {
   concerto_1_0_0.Concept
   BusinessDayConvention BusinessDayConventionEnum `json:"businessDayConvention"`
   BusinessCenters BusinessCenters `json:"businessCenters"`
   BusinessCentersReference string `json:"businessCentersReference"`
   DateRelativeToPaymentDates DateRelativeToPaymentDates `json:"dateRelativeToPaymentDates"`
   DateRelativeToCalculationPeriodDates DateRelativeToCalculationPeriodDates `json:"dateRelativeToCalculationPeriodDates"`
   DayType DayTypeEnum `json:"dayType"`
   Id string `json:"id"`
   Period PeriodEnum `json:"period"`
   PeriodMultiplier int32 `json:"periodMultiplier"`
}
type FxFixingDateBuilder struct {
   concerto_1_0_0.Concept
   BusinessDayConvention BusinessDayConventionEnum `json:"businessDayConvention"`
   BusinessCentersReference string `json:"businessCentersReference"`
   DayType DayTypeEnum `json:"dayType"`
   Id string `json:"id"`
   Period PeriodEnum `json:"period"`
   PeriodMultiplier int32 `json:"periodMultiplier"`
}
type RelatedParty struct {
   concerto_1_0_0.Concept
   Role PartyRoleEnum `json:"role"`
   AccountReference string `json:"accountReference"`
   PartyReference string `json:"partyReference"`
}
type RelatedPartyBuilder struct {
   concerto_1_0_0.Concept
   Role PartyRoleEnum `json:"role"`
   AccountReference string `json:"accountReference"`
   PartyReference string `json:"partyReference"`
}
type SimplePayment struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   PaymentDate AdjustableOrRelativeDate `json:"paymentDate"`
   PaymentAmount Money `json:"paymentAmount"`
   PayerPartyReference string `json:"payerPartyReference"`
   ReceiverPartyReference string `json:"receiverPartyReference"`
   PayerAccountReference string `json:"payerAccountReference"`
   ReceiverAccountReference string `json:"receiverAccountReference"`
}
type SimplePaymentBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   PayerPartyReference string `json:"payerPartyReference"`
   ReceiverPartyReference string `json:"receiverPartyReference"`
   PayerAccountReference string `json:"payerAccountReference"`
   ReceiverAccountReference string `json:"receiverAccountReference"`
}
type ResetRelativeToEnum int
const (
   CALCULATION_PERIOD_START_DATE ResetRelativeToEnum = 1 + iota
   CALCULATION_PERIOD_END_DATE
)
type Product struct {
   concerto_1_0_0.Concept
   ListedProduct ListedProduct `json:"listedProduct"`
   ContractualProduct ContractualProduct `json:"contractualProduct"`
}
type ProductBuilder struct {
   concerto_1_0_0.Concept
}
type ResetDates struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   RateCutOffDaysOffset Offset `json:"rateCutOffDaysOffset"`
   ResetRelativeTo ResetRelativeToEnum `json:"resetRelativeTo"`
   InitialFixingDate InitialFixingDate `json:"initialFixingDate"`
   FinalFixingDate AdjustableDate `json:"finalFixingDate"`
   FixingDates RelativeDateOffset `json:"fixingDates"`
   CalculationPeriodDatesReference string `json:"calculationPeriodDatesReference"`
   ResetFrequency ResetFrequency `json:"resetFrequency"`
   ResetDatesAdjustments BusinessDayAdjustments `json:"resetDatesAdjustments"`
}
type ResetDatesBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   ResetRelativeTo ResetRelativeToEnum `json:"resetRelativeTo"`
   CalculationPeriodDatesReference string `json:"calculationPeriodDatesReference"`
}
type NotDomesticCurrencyBuilder struct {
   concerto_1_0_0.Concept
   Currency string `json:"currency"`
   Applicable bool `json:"applicable"`
   CurrencyScheme string `json:"currencyScheme"`
}
type NotDomesticCurrency struct {
   concerto_1_0_0.Concept
   Currency string `json:"currency"`
   Applicable bool `json:"applicable"`
   CurrencyScheme string `json:"currencyScheme"`
}
type AdjustableOrRelativeDate struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   AdjustableDate AdjustableDate `json:"adjustableDate"`
   RelativeDate RelativeDateOffset `json:"relativeDate"`
}
type AdjustableOrRelativeDateBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
}
type FraDiscountingEnum int
const (
   ISDA FraDiscountingEnum = 1 + iota
   AFMA
   NONE
   ISDA_YIELD
)
type FxLinkedNotionalScheduleBuilder struct {
   concerto_1_0_0.Concept
   VaryingNotionalCurrency string `json:"varyingNotionalCurrency"`
   ConstantNotionalScheduleReference string `json:"constantNotionalScheduleReference"`
   InitialValue float64 `json:"initialValue"`
   VaryingNotionalCurrencyScheme string `json:"varyingNotionalCurrencyScheme"`
}
type FxLinkedNotionalSchedule struct {
   concerto_1_0_0.Concept
   VaryingNotionalCurrency string `json:"varyingNotionalCurrency"`
   FxSpotRateSource FxSpotRateSource `json:"fxSpotRateSource"`
   ConstantNotionalScheduleReference string `json:"constantNotionalScheduleReference"`
   VaryingNotionalFixingDates RelativeDateOffset `json:"varyingNotionalFixingDates"`
   VaryingNotionalInterimExchangePaymentDates RelativeDateOffset `json:"varyingNotionalInterimExchangePaymentDates"`
   InitialValue float64 `json:"initialValue"`
   VaryingNotionalCurrencyScheme string `json:"varyingNotionalCurrencyScheme"`
}
type MultipleExercise struct {
   concerto_1_0_0.Concept
   MaximumNumberOfOptions float64 `json:"maximumNumberOfOptions"`
   MaximumNotionalAmount float64 `json:"maximumNotionalAmount"`
   MinimumNumberOfOptions int32 `json:"minimumNumberOfOptions"`
   NotionaReference string `json:"notionaReference"`
   IntegralMultipleAmount float64 `json:"integralMultipleAmount"`
   MinimumNotionalAmount float64 `json:"minimumNotionalAmount"`
}
type MultipleExerciseBuilder struct {
   concerto_1_0_0.Concept
   MaximumNumberOfOptions float64 `json:"maximumNumberOfOptions"`
   MaximumNotionalAmount float64 `json:"maximumNotionalAmount"`
   MinimumNumberOfOptions int32 `json:"minimumNumberOfOptions"`
   NotionaReference string `json:"notionaReference"`
   IntegralMultipleAmount float64 `json:"integralMultipleAmount"`
   MinimumNotionalAmount float64 `json:"minimumNotionalAmount"`
}
type PCDeliverableObligationCharacBuilder struct {
   concerto_1_0_0.Concept
   Applicable bool `json:"applicable"`
   PartialCashSettlement bool `json:"partialCashSettlement"`
}
type PCDeliverableObligationCharac struct {
   concerto_1_0_0.Concept
   Applicable bool `json:"applicable"`
   PartialCashSettlement bool `json:"partialCashSettlement"`
}
type FloatingAmountProvisions struct {
   concerto_1_0_0.Concept
   WacCapInterestProvision bool `json:"wacCapInterestProvision"`
   StepUpProvision bool `json:"stepUpProvision"`
}
type FloatingAmountProvisionsBuilder struct {
   concerto_1_0_0.Concept
   WacCapInterestProvision bool `json:"wacCapInterestProvision"`
   StepUpProvision bool `json:"stepUpProvision"`
}
type DayTypeEnum int
const (
   BUSINESS DayTypeEnum = 1 + iota
   CALENDAR
   COMMODITY_BUSINESS
   CURRENCY_BUSINESS
   EXCHANGE_BUSINESS
   SCHEDULED_TRADING_DAY
)
type FallbackReferencePrice struct {
   concerto_1_0_0.Concept
   FallBackSettlementRateOption []SettlementRateOptionEnum `json:"fallBackSettlementRateOption"`
   FallbackSurveyValuationPostponement bool `json:"fallbackSurveyValuationPostponement"`
   CalculationAgenDetermination CalculationAgent `json:"calculationAgenDetermination"`
   ValuationPostponement ValuationPostponement `json:"valuationPostponement"`
   FallBackSettlementRateOptionScheme string `json:"fallBackSettlementRateOptionScheme"`
}
type FallbackReferencePriceBuilder struct {
   concerto_1_0_0.Concept
   FallBackSettlementRateOption []SettlementRateOptionEnum `json:"fallBackSettlementRateOption"`
   FallbackSurveyValuationPostponement bool `json:"fallbackSurveyValuationPostponement"`
   FallBackSettlementRateOptionScheme string `json:"fallBackSettlementRateOptionScheme"`
}
type FixedIncomeSecurityBuilder struct {
   concerto_1_0_0.Concept
   CouponTypeScheme string `json:"couponTypeScheme"`
   SeniorityScheme string `json:"seniorityScheme"`
   IssuerName string `json:"issuerName"`
   IssuerReference string `json:"issuerReference"`
   Seniority CreditSeniorityEnum `json:"seniority"`
   CouponType CouponTypeEnum `json:"couponType"`
   CouponRate float64 `json:"couponRate"`
   Maturity time.Time `json:"maturity"`
   IssueDate time.Time `json:"issueDate"`
   Id string `json:"id"`
   Currency string `json:"currency"`
   ClearanceSystemScheme string `json:"clearanceSystemScheme"`
   ProductIdentifierScheme string `json:"productIdentifierScheme"`
   Description string `json:"description"`
   ClearanceSystem string `json:"clearanceSystem"`
   CurrencyScheme string `json:"currencyScheme"`
}
type FixedIncomeSecurity struct {
   concerto_1_0_0.Concept
   CouponTypeScheme string `json:"couponTypeScheme"`
   SeniorityScheme string `json:"seniorityScheme"`
   IssuerName string `json:"issuerName"`
   IssuerReference string `json:"issuerReference"`
   Seniority CreditSeniorityEnum `json:"seniority"`
   CouponType CouponTypeEnum `json:"couponType"`
   CouponRate float64 `json:"couponRate"`
   Maturity time.Time `json:"maturity"`
   IssueDate time.Time `json:"issueDate"`
   Id string `json:"id"`
   Currency string `json:"currency"`
   ClearanceSystemScheme string `json:"clearanceSystemScheme"`
   ProductIdentifierScheme string `json:"productIdentifierScheme"`
   ProductIdentifier []ProductIdentifier `json:"productIdentifier"`
   ProductTaxonomy []ProductTaxonomy `json:"productTaxonomy"`
   Description string `json:"description"`
   ClearanceSystem string `json:"clearanceSystem"`
   CurrencyScheme string `json:"currencyScheme"`
}
type BasketName struct {
   concerto_1_0_0.Concept
   BasketName string `json:"basketName"`
   BasketId []string `json:"basketId"`
   BasketIdScheme string `json:"basketIdScheme"`
   BasketNameScheme string `json:"basketNameScheme"`
}
type BasketNameBuilder struct {
   concerto_1_0_0.Concept
   BasketName string `json:"basketName"`
   BasketId []string `json:"basketId"`
   BasketIdScheme string `json:"basketIdScheme"`
   BasketNameScheme string `json:"basketNameScheme"`
}
type QuotationSideEnum int
const (
   BID QuotationSideEnum = 1 + iota
   ASK
   MID
)
type TransferorTransfereeBuilder struct {
   concerto_1_0_0.Concept
   TransferorPartyReference string `json:"transferorPartyReference"`
   TransferorAccountReference string `json:"transferorAccountReference"`
   TransfereePartyReference string `json:"transfereePartyReference"`
   TransfereeAccountReference string `json:"transfereeAccountReference"`
}
type TransferorTransferee struct {
   concerto_1_0_0.Concept
   TransferorPartyReference string `json:"transferorPartyReference"`
   TransferorAccountReference string `json:"transferorAccountReference"`
   TransfereePartyReference string `json:"transfereePartyReference"`
   TransfereeAccountReference string `json:"transfereeAccountReference"`
}
type FutureValueAmount struct {
   concerto_1_0_0.Concept
   ValueDate time.Time `json:"valueDate"`
   CalculationPeriodNumberOfDays int32 `json:"calculationPeriodNumberOfDays"`
   Id string `json:"id"`
   Currency string `json:"currency"`
   CurrencyScheme string `json:"currencyScheme"`
   Amount float64 `json:"amount"`
}
type FutureValueAmountBuilder struct {
   concerto_1_0_0.Concept
   ValueDate time.Time `json:"valueDate"`
   CalculationPeriodNumberOfDays int32 `json:"calculationPeriodNumberOfDays"`
   Id string `json:"id"`
   Currency string `json:"currency"`
   CurrencyScheme string `json:"currencyScheme"`
   Amount float64 `json:"amount"`
}
type ObligationCategoryEnum int
const (
   PAYMENT ObligationCategoryEnum = 1 + iota
   BORROWED_MONEY
   REFERENCE_OBLIGATIONS_ONLY
   BOND
   LOAN
   BOND_OR_LOAN
)
type PhysicalSettlementTerms struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   DeliverableObligations DeliverableObligations `json:"deliverableObligations"`
   SettlementCurrency string `json:"settlementCurrency"`
   PhysicalSettlementPeriod PhysicalSettlementPeriod `json:"physicalSettlementPeriod"`
   Escrow bool `json:"escrow"`
   SixtyBusinessDaySettlementCap bool `json:"sixtyBusinessDaySettlementCap"`
   SettlementCurrencyScheme string `json:"settlementCurrencyScheme"`
}
type PhysicalSettlementTermsBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   SettlementCurrency string `json:"settlementCurrency"`
   Escrow bool `json:"escrow"`
   SixtyBusinessDaySettlementCap bool `json:"sixtyBusinessDaySettlementCap"`
   SettlementCurrencyScheme string `json:"settlementCurrencyScheme"`
}
type OptionalEarlyTerminationAdjustedDates struct {
   concerto_1_0_0.Concept
   EarlyTerminationEvent []EarlyTerminationEvent `json:"earlyTerminationEvent"`
}
type OptionalEarlyTerminationAdjustedDatesBuilder struct {
   concerto_1_0_0.Concept
}
type OptionSettlement struct {
   concerto_1_0_0.Concept
   PhysicalSettlementTerms OptionPhysicalSettlement `json:"physicalSettlementTerms"`
   SettlementCurrency string `json:"settlementCurrency"`
   CashSettlementTerms OptionCashSettlement `json:"cashSettlementTerms"`
   SettlementType SettlementTypeEnum `json:"settlementType"`
   SettlementDate AdjustableOrRelativeDate `json:"settlementDate"`
   SettlementAmount Money `json:"settlementAmount"`
   SettlementCurrencyScheme string `json:"settlementCurrencyScheme"`
}
type OptionSettlementBuilder struct {
   concerto_1_0_0.Concept
   SettlementCurrency string `json:"settlementCurrency"`
   SettlementType SettlementTypeEnum `json:"settlementType"`
   SettlementCurrencyScheme string `json:"settlementCurrencyScheme"`
}
type OptionalEarlyTermination struct {
   concerto_1_0_0.Concept
   CashSettlement OptionCashSettlement `json:"cashSettlement"`
   FollowUpConfirmation bool `json:"followUpConfirmation"`
   SinglePartyOption BuyerSeller `json:"singlePartyOption"`
   AmericanExercise AmericanExercise `json:"americanExercise"`
   BermudaExercise BermudaExercise `json:"bermudaExercise"`
   EuropeanExercise EuropeanExercise `json:"europeanExercise"`
   ExerciseNotice []ExerciseNotice `json:"exerciseNotice"`
   OptionalEarlyTerminationAdjustedDates OptionalEarlyTerminationAdjustedDates `json:"optionalEarlyTerminationAdjustedDates"`
   CalculationAgent CalculationAgent `json:"calculationAgent"`
}
type OptionalEarlyTerminationBuilder struct {
   concerto_1_0_0.Concept
   FollowUpConfirmation bool `json:"followUpConfirmation"`
}
type AssetBuilder struct {
   concerto_1_0_0.Concept
}
type Asset struct {
   concerto_1_0_0.Concept
   Commodity Commodity `json:"commodity"`
   ListedProduct ListedProduct `json:"listedProduct"`
}
type StubPeriodTypeEnum int
const (
   SHORT_INITIAL StubPeriodTypeEnum = 1 + iota
   SHORT_FINAL
   LONG_INITIAL
   LONG_FINAL
)
type PartyContractInformationBuilder struct {
   concerto_1_0_0.Concept
   PartyReference string `json:"partyReference"`
}
type PartyContractInformation struct {
   concerto_1_0_0.Concept
   NaturalPersonRole []NaturalPersonRole `json:"naturalPersonRole"`
   PartyReference string `json:"partyReference"`
}
type FxSpotRateSource struct {
   concerto_1_0_0.Concept
   PrimaryRateSource InformationSource `json:"primaryRateSource"`
   SecondaryRateSource InformationSource `json:"secondaryRateSource"`
   FixingTime BusinessCenterTime `json:"fixingTime"`
}
type FxSpotRateSourceBuilder struct {
   concerto_1_0_0.Concept
}
type SettlementRateSource struct {
   concerto_1_0_0.Concept
   CashSettlementReferenceBanks CashSettlementReferenceBanks `json:"cashSettlementReferenceBanks"`
   InformationSource InformationSource `json:"informationSource"`
}
type SettlementRateSourceBuilder struct {
   concerto_1_0_0.Concept
}
type CalculationPeriodBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   NotionalAmount float64 `json:"notionalAmount"`
   ForecastRate float64 `json:"forecastRate"`
   UnadjustedStartDate time.Time `json:"unadjustedStartDate"`
   UnadjustedEndDate time.Time `json:"unadjustedEndDate"`
   AdjustedStartDate time.Time `json:"adjustedStartDate"`
   AdjustedEndDate time.Time `json:"adjustedEndDate"`
   DayCountYearFraction float64 `json:"dayCountYearFraction"`
   CalculationPeriodNumberOfDays int32 `json:"calculationPeriodNumberOfDays"`
   FixedRate float64 `json:"fixedRate"`
}
type CalculationPeriod struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   NotionalAmount float64 `json:"notionalAmount"`
   ForecastRate float64 `json:"forecastRate"`
   UnadjustedStartDate time.Time `json:"unadjustedStartDate"`
   UnadjustedEndDate time.Time `json:"unadjustedEndDate"`
   AdjustedStartDate time.Time `json:"adjustedStartDate"`
   AdjustedEndDate time.Time `json:"adjustedEndDate"`
   FxLinkedNotionalAmount FxLinkedNotionalAmount `json:"fxLinkedNotionalAmount"`
   FloatingRateDefinition FloatingRateDefinition `json:"floatingRateDefinition"`
   DayCountYearFraction float64 `json:"dayCountYearFraction"`
   ForecastAmount Money `json:"forecastAmount"`
   CalculationPeriodNumberOfDays int32 `json:"calculationPeriodNumberOfDays"`
   FixedRate float64 `json:"fixedRate"`
}
type ExecutionReferenceBuilder struct {
   concerto_1_0_0.Concept
   State StateEnum `json:"state"`
}
type ExecutionReference struct {
   concerto_1_0_0.Concept
   State StateEnum `json:"state"`
   ExecutionReference Identifier `json:"executionReference"`
}
type ExerciseProcedure struct {
   concerto_1_0_0.Concept
   ManualExercise ManualExercise `json:"manualExercise"`
   AutomaticExercise AutomaticExercise `json:"automaticExercise"`
   FollowUpConfirmation bool `json:"followUpConfirmation"`
   LimitedRightToConfirm bool `json:"limitedRightToConfirm"`
   SplitTicket bool `json:"splitTicket"`
}
type ExerciseProcedureBuilder struct {
   concerto_1_0_0.Concept
   FollowUpConfirmation bool `json:"followUpConfirmation"`
   LimitedRightToConfirm bool `json:"limitedRightToConfirm"`
   SplitTicket bool `json:"splitTicket"`
}
type CalculationAgentPartyEnum int
const (
   EXERCISING_PARTY CalculationAgentPartyEnum = 1 + iota
   NON_EXERCISING_PARTY
   AS_SPECIFIED_IN_MASTER_AGREEMENT
   AS_SPECIFIED_IN_STANDARD_TERMS_SUPPLEMENT
   BOTH
)
type NonNegativeSchedule struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   InitialValue float64 `json:"initialValue"`
   Step []NonNegativeStep `json:"step"`
}
type NonNegativeScheduleBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   InitialValue float64 `json:"initialValue"`
}
type Contract struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   State StateEnum `json:"state"`
   Account []Account `json:"account"`
   CalculationAgent CalculationAgent `json:"calculationAgent"`
   ClearedDate time.Time `json:"clearedDate"`
   Collateral Collateral `json:"collateral"`
   ContractIdentifier []PartyContractIdentifier `json:"contractIdentifier"`
   ContractualProduct ContractualProduct `json:"contractualProduct"`
   Documentation Documentation `json:"documentation"`
   GoverningLaw GoverningLawEnum `json:"governingLaw"`
   GoverningLawScheme string `json:"governingLawScheme"`
   OtherPartyPayment []Payment `json:"otherPartyPayment"`
   Party []Party `json:"party"`
   PartyContractInformation []PartyContractInformation `json:"partyContractInformation"`
   PartyRole []PartyRole `json:"partyRole"`
   TradeDate DateInstances `json:"tradeDate"`
   RosettaKey string `json:"rosettaKey"`
}
type ContractBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   State StateEnum `json:"state"`
   ClearedDate time.Time `json:"clearedDate"`
   GoverningLaw GoverningLawEnum `json:"governingLaw"`
   GoverningLawScheme string `json:"governingLawScheme"`
}
type DiscountingTypeEnum int
const (
   STANDARD DiscountingTypeEnum = 1 + iota
   FRA
   FRA_YIELD
)
type Money struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   Currency string `json:"currency"`
   CurrencyScheme string `json:"currencyScheme"`
   Amount float64 `json:"amount"`
}
type MoneyBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   Currency string `json:"currency"`
   CurrencyScheme string `json:"currencyScheme"`
   Amount float64 `json:"amount"`
}
type TriggerEvent struct {
   concerto_1_0_0.Concept
   TriggerDates DateList `json:"triggerDates"`
   Trigger Trigger `json:"trigger"`
   FeaturePayment FeaturePayment `json:"featurePayment"`
   Schedule []AveragingSchedule `json:"schedule"`
}
type TriggerEventBuilder struct {
   concerto_1_0_0.Concept
}
type ResetFrequencyBuilder struct {
   concerto_1_0_0.Concept
   WeeklyRollConvention WeeklyRollConventionEnum `json:"weeklyRollConvention"`
   Id string `json:"id"`
   Period PeriodExtendedEnum `json:"period"`
   PeriodMultiplier int32 `json:"periodMultiplier"`
}
type ResetFrequency struct {
   concerto_1_0_0.Concept
   WeeklyRollConvention WeeklyRollConventionEnum `json:"weeklyRollConvention"`
   Id string `json:"id"`
   Period PeriodExtendedEnum `json:"period"`
   PeriodMultiplier int32 `json:"periodMultiplier"`
}
type TriggerTypeEnum int
const (
   EQUAL_OR_LESS TriggerTypeEnum = 1 + iota
   EQUAL_OR_GREATER
   EQUAL
   LESS
   GREATER
)
type CashSettlementReferenceBanks struct {
   concerto_1_0_0.Concept
   ReferenceBank []ReferenceBank `json:"referenceBank"`
}
type CashSettlementReferenceBanksBuilder struct {
   concerto_1_0_0.Concept
}
type AssetPoolBuilder struct {
   concerto_1_0_0.Concept
   EffectiveDate time.Time `json:"effectiveDate"`
   InitialFactor float64 `json:"initialFactor"`
   CurrentFactor float64 `json:"currentFactor"`
   Version string `json:"version"`
}
type AssetPool struct {
   concerto_1_0_0.Concept
   EffectiveDate time.Time `json:"effectiveDate"`
   InitialFactor float64 `json:"initialFactor"`
   CurrentFactor float64 `json:"currentFactor"`
   Version string `json:"version"`
}
type ContractualProductBuilder struct {
   concerto_1_0_0.Concept
}
type ContractualProduct struct {
   concerto_1_0_0.Concept
   EconomicTerms EconomicTerms `json:"economicTerms"`
   ProductTaxonomy []ProductTaxonomy `json:"productTaxonomy"`
   ProductIdentification ProductIdentification `json:"productIdentification"`
}
type OptionPayoutBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   OptionType OptionTypeEnum `json:"optionType"`
}
type OptionPayout struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   RosettaKeyValue string `json:"rosettaKeyValue"`
   BuyerSeller BuyerSeller `json:"buyerSeller"`
   OptionType OptionTypeEnum `json:"optionType"`
   Feature OptionFeature `json:"feature"`
   Denomination OptionDenomination `json:"denomination"`
   ExerciseTerms OptionExercise `json:"exerciseTerms"`
   Underlyer Product `json:"underlyer"`
   Quantity ContractualQuantity `json:"quantity"`
}
type PayoutBuilder struct {
   concerto_1_0_0.Concept
}
type Payout struct {
   concerto_1_0_0.Concept
   Cashflow []Cashflow `json:"cashflow"`
   OptionPayout []OptionPayout `json:"optionPayout"`
   CreditDefaultPayout CreditDefaultPayout `json:"creditDefaultPayout"`
   InterestRatePayout []InterestRatePayout `json:"interestRatePayout"`
}
type WeightedAveragingObservation struct {
   concerto_1_0_0.Concept
   DateTime time.Time `json:"dateTime"`
   Weight float64 `json:"weight"`
   ObservationNumber int32 `json:"observationNumber"`
}
type WeightedAveragingObservationBuilder struct {
   concerto_1_0_0.Concept
   DateTime time.Time `json:"dateTime"`
   Weight float64 `json:"weight"`
   ObservationNumber int32 `json:"observationNumber"`
}
type PubliclyAvailableInformation struct {
   concerto_1_0_0.Concept
   SpecifiedNumber int32 `json:"specifiedNumber"`
   StandardPublicSources bool `json:"standardPublicSources"`
   PublicSource []string `json:"publicSource"`
}
type PubliclyAvailableInformationBuilder struct {
   concerto_1_0_0.Concept
   SpecifiedNumber int32 `json:"specifiedNumber"`
   StandardPublicSources bool `json:"standardPublicSources"`
   PublicSource []string `json:"publicSource"`
}
type Party struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   PartyIdScheme string `json:"partyIdScheme"`
   PartyId []string `json:"partyId"`
   LegalEntity LegalEntity `json:"legalEntity"`
   NaturalPerson []NaturalPerson `json:"naturalPerson"`
}
type PartyBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   PartyIdScheme string `json:"partyIdScheme"`
   PartyId []string `json:"partyId"`
}
type MessageInformationBuilder struct {
   concerto_1_0_0.Concept
   CopyToScheme string `json:"copyToScheme"`
   MessageIdScheme string `json:"messageIdScheme"`
   SentByScheme string `json:"sentByScheme"`
   SentToScheme string `json:"sentToScheme"`
   MessageId string `json:"messageId"`
   SentBy string `json:"sentBy"`
   SentTo string `json:"sentTo"`
   CopyTo []string `json:"copyTo"`
}
type MessageInformation struct {
   concerto_1_0_0.Concept
   CopyToScheme string `json:"copyToScheme"`
   MessageIdScheme string `json:"messageIdScheme"`
   SentByScheme string `json:"sentByScheme"`
   SentToScheme string `json:"sentToScheme"`
   MessageId string `json:"messageId"`
   SentBy string `json:"sentBy"`
   SentTo string `json:"sentTo"`
   CopyTo []string `json:"copyTo"`
}
type Asian struct {
   concerto_1_0_0.Concept
   AveragingInOut AveragingInOutEnum `json:"averagingInOut"`
   StrikeFactor float64 `json:"strikeFactor"`
   AveragingPeriodIn AveragingPeriod `json:"averagingPeriodIn"`
   AveragingPeriodOut AveragingPeriod `json:"averagingPeriodOut"`
}
type AsianBuilder struct {
   concerto_1_0_0.Concept
   AveragingInOut AveragingInOutEnum `json:"averagingInOut"`
   StrikeFactor float64 `json:"strikeFactor"`
}
type ReferenceBankBuilder struct {
   concerto_1_0_0.Concept
   ReferenceBankId string `json:"referenceBankId"`
   ReferenceBankName string `json:"referenceBankName"`
   ReferenceBankIdScheme string `json:"referenceBankIdScheme"`
}
type ReferenceBank struct {
   concerto_1_0_0.Concept
   ReferenceBankId string `json:"referenceBankId"`
   ReferenceBankName string `json:"referenceBankName"`
   ReferenceBankIdScheme string `json:"referenceBankIdScheme"`
}
type ProtectionTerms struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   NotionalAmount Money `json:"notionalAmount"`
   CreditEvents CreditEvents `json:"creditEvents"`
   FloatingAmountEvents FloatingAmountEvents `json:"floatingAmountEvents"`
   Obligations Obligations `json:"obligations"`
}
type ProtectionTermsBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
}
type ProductIdSourceEnum int
const (
   CUSIP ProductIdSourceEnum = 1 + iota
   SEDOL
   ISIN
   RIC
   FIGI
   WERTPAPIER
   SICOVAM
)
type RestructuringBuilder struct {
   concerto_1_0_0.Concept
   MultipleHolderObligation bool `json:"multipleHolderObligation"`
   MultipleCreditEventNotices bool `json:"multipleCreditEventNotices"`
   Applicable bool `json:"applicable"`
   RestructuringType RestructuringEnum `json:"restructuringType"`
   RestructuringTypeScheme string `json:"restructuringTypeScheme"`
}
type Restructuring struct {
   concerto_1_0_0.Concept
   MultipleHolderObligation bool `json:"multipleHolderObligation"`
   MultipleCreditEventNotices bool `json:"multipleCreditEventNotices"`
   Applicable bool `json:"applicable"`
   RestructuringType RestructuringEnum `json:"restructuringType"`
   RestructuringTypeScheme string `json:"restructuringTypeScheme"`
}
type CreditEventNotice struct {
   concerto_1_0_0.Concept
   NotifyingParty NotifyingParty `json:"notifyingParty"`
   BusinessCenter BusinessCenterEnum `json:"businessCenter"`
   PubliclyAvailableInformation PubliclyAvailableInformation `json:"publiclyAvailableInformation"`
}
type CreditEventNoticeBuilder struct {
   concerto_1_0_0.Concept
   BusinessCenter BusinessCenterEnum `json:"businessCenter"`
}
type StrikeSpread struct {
   concerto_1_0_0.Concept
   UpperStrike OptionStrike `json:"upperStrike"`
   UpperStrikeNumberOfOptions float64 `json:"upperStrikeNumberOfOptions"`
}
type StrikeSpreadBuilder struct {
   concerto_1_0_0.Concept
   UpperStrikeNumberOfOptions float64 `json:"upperStrikeNumberOfOptions"`
}
type ResourceLength struct {
   concerto_1_0_0.Concept
   LengthUnit LengthUnitEnum `json:"lengthUnit"`
   LengthValue float64 `json:"lengthValue"`
}
type ResourceLengthBuilder struct {
   concerto_1_0_0.Concept
   LengthUnit LengthUnitEnum `json:"lengthUnit"`
   LengthValue float64 `json:"lengthValue"`
}
type ResourceTypeEnum int
const (
   CONFIRMATION ResourceTypeEnum = 1 + iota
   SUPPLEMENTAL_MATERIAL_ECONOMIC_TERMS
   TERM_SHEET
)
type AmericanExerciseBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
}
type AmericanExercise struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   ExpirationDate AdjustableOrRelativeDate `json:"expirationDate"`
   RelevantUnderlyingDate AdjustableOrRelativeDates `json:"relevantUnderlyingDate"`
   EarliestExerciseTime BusinessCenterTime `json:"earliestExerciseTime"`
   ExpirationTime BusinessCenterTime `json:"expirationTime"`
   LatestExerciseTime BusinessCenterTime `json:"latestExerciseTime"`
   MultipleExercise MultipleExercise `json:"multipleExercise"`
   ExerciseFeeSchedule ExerciseFeeSchedule `json:"exerciseFeeSchedule"`
   CommencementDate AdjustableOrRelativeDate `json:"commencementDate"`
}
type CouponTypeEnum int
const (
   FIXED CouponTypeEnum = 1 + iota
   FLOAT
   STRUCTURED
)
type SettlementTypeEnum int
const (
   CASH SettlementTypeEnum = 1 + iota
   PHYSICAL
   ELECTION
   CASH_OR_PHYSICAL
)
type CreditEvents struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   CreditEventNotice CreditEventNotice `json:"creditEventNotice"`
   Restructuring Restructuring `json:"restructuring"`
   FailureToPayPrincipal bool `json:"failureToPayPrincipal"`
   FailureToPayInterest bool `json:"failureToPayInterest"`
   DistressedRatingsDowngrade bool `json:"distressedRatingsDowngrade"`
   MaturityExtension bool `json:"maturityExtension"`
   Writedown bool `json:"writedown"`
   ImpliedWritedown bool `json:"impliedWritedown"`
   Bankruptcy bool `json:"bankruptcy"`
   ObligationDefault bool `json:"obligationDefault"`
   ObligationAcceleration bool `json:"obligationAcceleration"`
   RepudiationMoratorium bool `json:"repudiationMoratorium"`
   GovernmentalIntervention bool `json:"governmentalIntervention"`
   FailureToPay FailureToPay `json:"failureToPay"`
   DefaultRequirement Money `json:"defaultRequirement"`
}
type CreditEventsBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   FailureToPayPrincipal bool `json:"failureToPayPrincipal"`
   FailureToPayInterest bool `json:"failureToPayInterest"`
   DistressedRatingsDowngrade bool `json:"distressedRatingsDowngrade"`
   MaturityExtension bool `json:"maturityExtension"`
   Writedown bool `json:"writedown"`
   ImpliedWritedown bool `json:"impliedWritedown"`
   Bankruptcy bool `json:"bankruptcy"`
   ObligationDefault bool `json:"obligationDefault"`
   ObligationAcceleration bool `json:"obligationAcceleration"`
   RepudiationMoratorium bool `json:"repudiationMoratorium"`
   GovernmentalIntervention bool `json:"governmentalIntervention"`
}
type NotifyingParty struct {
   concerto_1_0_0.Concept
   SellerPartyReference string `json:"sellerPartyReference"`
   BuyerPartyReference string `json:"buyerPartyReference"`
}
type NotifyingPartyBuilder struct {
   concerto_1_0_0.Concept
   SellerPartyReference string `json:"sellerPartyReference"`
   BuyerPartyReference string `json:"buyerPartyReference"`
}
type IndependentAmount struct {
   concerto_1_0_0.Concept
   PaymentDetail []PaymentDetail `json:"paymentDetail"`
   PayerPartyReference string `json:"payerPartyReference"`
   ReceiverPartyReference string `json:"receiverPartyReference"`
   PayerAccountReference string `json:"payerAccountReference"`
   ReceiverAccountReference string `json:"receiverAccountReference"`
}
type IndependentAmountBuilder struct {
   concerto_1_0_0.Concept
   PayerPartyReference string `json:"payerPartyReference"`
   ReceiverPartyReference string `json:"receiverPartyReference"`
   PayerAccountReference string `json:"payerAccountReference"`
   ReceiverAccountReference string `json:"receiverAccountReference"`
}
type ContractIdentifierBuilder struct {
   concerto_1_0_0.Concept
   AccountReference string `json:"accountReference"`
   PartyReference string `json:"partyReference"`
   Issuer string `json:"issuer"`
   IssuerScheme string `json:"issuerScheme"`
   Version int32 `json:"version"`
}
type ContractIdentifier struct {
   concerto_1_0_0.Concept
   AccountReference string `json:"accountReference"`
   PartyReference string `json:"partyReference"`
   IdentifierValue IdentifierValue `json:"identifierValue"`
   Issuer string `json:"issuer"`
   IssuerScheme string `json:"issuerScheme"`
   Version int32 `json:"version"`
}
type ContractualQuantityBuilder struct {
   concerto_1_0_0.Concept
   NotionalReference string `json:"notionalReference"`
}
type ContractualQuantity struct {
   concerto_1_0_0.Concept
   NotionalAmount Money `json:"notionalAmount"`
   NotionalSchedule NotionalSchedule `json:"notionalSchedule"`
   FxLinkedNotional FxLinkedNotionalSchedule `json:"fxLinkedNotional"`
   NotionalReference string `json:"notionalReference"`
   Quantity Quantity `json:"quantity"`
   FutureValueNotional FutureValueAmount `json:"futureValueNotional"`
}
type DateRelativeToPaymentDates struct {
   concerto_1_0_0.Concept
   PaymentDatesReference []string `json:"paymentDatesReference"`
}
type DateRelativeToPaymentDatesBuilder struct {
   concerto_1_0_0.Concept
   PaymentDatesReference []string `json:"paymentDatesReference"`
}
type PaymentCalculationPeriod struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   UnadjustedPaymentDate time.Time `json:"unadjustedPaymentDate"`
   AdjustedPaymentDate time.Time `json:"adjustedPaymentDate"`
   FixedPaymentAmount float64 `json:"fixedPaymentAmount"`
   DiscountFactor float64 `json:"discountFactor"`
   ForecastPaymentAmount Money `json:"forecastPaymentAmount"`
   PresentValueAmount Money `json:"presentValueAmount"`
   CalculationPeriod []CalculationPeriod `json:"calculationPeriod"`
}
type PaymentCalculationPeriodBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   UnadjustedPaymentDate time.Time `json:"unadjustedPaymentDate"`
   AdjustedPaymentDate time.Time `json:"adjustedPaymentDate"`
   FixedPaymentAmount float64 `json:"fixedPaymentAmount"`
   DiscountFactor float64 `json:"discountFactor"`
}
type PartialExercise struct {
   concerto_1_0_0.Concept
   MinimumNumberOfOptions int32 `json:"minimumNumberOfOptions"`
   NotionaReference string `json:"notionaReference"`
   IntegralMultipleAmount float64 `json:"integralMultipleAmount"`
   MinimumNotionalAmount float64 `json:"minimumNotionalAmount"`
}
type PartialExerciseBuilder struct {
   concerto_1_0_0.Concept
   MinimumNumberOfOptions int32 `json:"minimumNumberOfOptions"`
   NotionaReference string `json:"notionaReference"`
   IntegralMultipleAmount float64 `json:"integralMultipleAmount"`
   MinimumNotionalAmount float64 `json:"minimumNotionalAmount"`
}
type MortgageSectorEnum int
const (
   ABS MortgageSectorEnum = 1 + iota
   CDO
   CMBS
   RMBS
)
type CrossCurrencyTerms struct {
   concerto_1_0_0.Concept
   SettlementProvision SettlementProvision `json:"settlementProvision"`
   PrincipalExchanges PrincipalExchanges `json:"principalExchanges"`
}
type CrossCurrencyTermsBuilder struct {
   concerto_1_0_0.Concept
}
type PartyIdSourceEnum int
const (
   BIC PartyIdSourceEnum = 1 + iota
   LEI
   ARNU
   CCPT
   CUST
   DRLC
   EMPL
   NIDN
   SOSE
   TXID
)
type IssuerTradeId struct {
   concerto_1_0_0.Concept
   Identifier string `json:"identifier"`
   Issuer string `json:"issuer"`
   IssuerScheme string `json:"issuerScheme"`
   IdentifierScheme string `json:"identifierScheme"`
}
type IssuerTradeIdBuilder struct {
   concerto_1_0_0.Concept
   Identifier string `json:"identifier"`
   Issuer string `json:"issuer"`
   IssuerScheme string `json:"issuerScheme"`
   IdentifierScheme string `json:"identifierScheme"`
}
type IdentifierBuilder struct {
   concerto_1_0_0.Concept
   Issuer string `json:"issuer"`
   IssuerScheme string `json:"issuerScheme"`
   Version int32 `json:"version"`
}
type Identifier struct {
   concerto_1_0_0.Concept
   IdentifierValue IdentifierValue `json:"identifierValue"`
   Issuer string `json:"issuer"`
   IssuerScheme string `json:"issuerScheme"`
   Version int32 `json:"version"`
}
type FrequencyBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   Period PeriodExtendedEnum `json:"period"`
   PeriodMultiplier int32 `json:"periodMultiplier"`
}
type Frequency struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   Period PeriodExtendedEnum `json:"period"`
   PeriodMultiplier int32 `json:"periodMultiplier"`
}
type PassThroughItem struct {
   concerto_1_0_0.Concept
   PassThroughPercentage float64 `json:"passThroughPercentage"`
   PayerReceiver PayerReceiver `json:"payerReceiver"`
}
type PassThroughItemBuilder struct {
   concerto_1_0_0.Concept
   PassThroughPercentage float64 `json:"passThroughPercentage"`
}
type OtherAgreementBuilder struct {
   concerto_1_0_0.Concept
   Type string `json:"type"`
   Identifier string `json:"identifier"`
   IdentifierScheme string `json:"identifierScheme"`
   Date time.Time `json:"date"`
   TypeScheme string `json:"typeScheme"`
   VersionScheme string `json:"versionScheme"`
   Version string `json:"version"`
}
type OtherAgreement struct {
   concerto_1_0_0.Concept
   Type string `json:"type"`
   Identifier string `json:"identifier"`
   IdentifierScheme string `json:"identifierScheme"`
   Date time.Time `json:"date"`
   TypeScheme string `json:"typeScheme"`
   VersionScheme string `json:"versionScheme"`
   Version string `json:"version"`
}
type ContractualSupplementEnum int
const (
   ABX ContractualSupplementEnum = 1 + iota
   CD_SON_MBS
   ISDA_1999_CREDIT_CONVERTIBLE_EXCHANGEABLE_ACCRETING_OBLIGATIONS
   ISDA_1999_CREDIT_SUCCESSOR_AND_CREDIT_EVENTS
   ISDA_2003_CREDIT_MAY_2003
   I_TRAXX_EUROPE_DEALER
   STANDARD_LCDS
)
type TaxonomySourceEnum int
const (
   CFI TaxonomySourceEnum = 1 + iota
   ISDA
)
type FailureToPay struct {
   concerto_1_0_0.Concept
   Applicable bool `json:"applicable"`
   GracePeriodExtension GracePeriodExtension `json:"gracePeriodExtension"`
   PaymentRequirement Money `json:"paymentRequirement"`
}
type FailureToPayBuilder struct {
   concerto_1_0_0.Concept
   Applicable bool `json:"applicable"`
}
type PayRelativeToEnum int
const (
   CALCULATION_PERIOD_START_DATE PayRelativeToEnum = 1 + iota
   CALCULATION_PERIOD_END_DATE
   LAST_PRICING_DATE
   RESET_DATE
   VALUATION_DATE
)
type ExerciseEventBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   AdjustedRelevantSwapEffectiveDate time.Time `json:"adjustedRelevantSwapEffectiveDate"`
   AdjustedExerciseFeePaymentDate time.Time `json:"adjustedExerciseFeePaymentDate"`
   AdjustedCashSettlementValuationDate time.Time `json:"adjustedCashSettlementValuationDate"`
   AdjustedCashSettlementPaymentDate time.Time `json:"adjustedCashSettlementPaymentDate"`
   AdjustedExerciseDate time.Time `json:"adjustedExerciseDate"`
}
type ExerciseEvent struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   AdjustedRelevantSwapEffectiveDate time.Time `json:"adjustedRelevantSwapEffectiveDate"`
   AdjustedExerciseFeePaymentDate time.Time `json:"adjustedExerciseFeePaymentDate"`
   AdjustedCashSettlementValuationDate time.Time `json:"adjustedCashSettlementValuationDate"`
   AdjustedCashSettlementPaymentDate time.Time `json:"adjustedCashSettlementPaymentDate"`
   AdjustedExerciseDate time.Time `json:"adjustedExerciseDate"`
}
type SpreadSchedule struct {
   concerto_1_0_0.Concept
   Type SpreadScheduleTypeEnum `json:"type"`
   TypeScheme string `json:"typeScheme"`
   Id string `json:"id"`
   InitialValue float64 `json:"initialValue"`
   Step []Step `json:"step"`
}
type SpreadScheduleBuilder struct {
   concerto_1_0_0.Concept
   Type SpreadScheduleTypeEnum `json:"type"`
   TypeScheme string `json:"typeScheme"`
   Id string `json:"id"`
   InitialValue float64 `json:"initialValue"`
}
type LoanParticipation struct {
   concerto_1_0_0.Concept
   QualifyingParticipationSeller string `json:"qualifyingParticipationSeller"`
   Applicable bool `json:"applicable"`
   PartialCashSettlement bool `json:"partialCashSettlement"`
}
type LoanParticipationBuilder struct {
   concerto_1_0_0.Concept
   QualifyingParticipationSeller string `json:"qualifyingParticipationSeller"`
   Applicable bool `json:"applicable"`
   PartialCashSettlement bool `json:"partialCashSettlement"`
}
type IdentifierValueBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   Identifier string `json:"identifier"`
   IdentifierScheme string `json:"identifierScheme"`
}
type IdentifierValue struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   Identifier string `json:"identifier"`
   IdentifierScheme string `json:"identifierScheme"`
}
type Loan struct {
   concerto_1_0_0.Concept
   FacilityTypeScheme string `json:"facilityTypeScheme"`
   LienScheme string `json:"lienScheme"`
   TrancheScheme string `json:"trancheScheme"`
   Tranche string `json:"tranche"`
   Maturity time.Time `json:"maturity"`
   Borrower []LegalEntity `json:"borrower"`
   BorrowerReference []string `json:"borrowerReference"`
   Lien string `json:"lien"`
   FacilityType string `json:"facilityType"`
   CreditAgreementDate time.Time `json:"creditAgreementDate"`
   Id string `json:"id"`
   InstrumentIdentifierScheme string `json:"instrumentIdentifierScheme"`
   Description string `json:"description"`
   InstrumentIdentifier []string `json:"instrumentIdentifier"`
}
type LoanBuilder struct {
   concerto_1_0_0.Concept
   FacilityTypeScheme string `json:"facilityTypeScheme"`
   LienScheme string `json:"lienScheme"`
   TrancheScheme string `json:"trancheScheme"`
   Tranche string `json:"tranche"`
   Maturity time.Time `json:"maturity"`
   BorrowerReference []string `json:"borrowerReference"`
   Lien string `json:"lien"`
   FacilityType string `json:"facilityType"`
   CreditAgreementDate time.Time `json:"creditAgreementDate"`
   Id string `json:"id"`
   InstrumentIdentifierScheme string `json:"instrumentIdentifierScheme"`
   Description string `json:"description"`
   InstrumentIdentifier []string `json:"instrumentIdentifier"`
}
type EventEffect struct {
   concerto_1_0_0.Concept
   ListedProduct []string `json:"listedProduct"`
   Payment []string `json:"payment"`
   ContractReference []string `json:"contractReference"`
   EffectedContract []string `json:"effectedContract"`
   EffectedContractReference []string `json:"effectedContractReference"`
   EffectedEvent string `json:"effectedEvent"`
   Transfer []string `json:"transfer"`
   Contract []string `json:"contract"`
}
type EventEffectBuilder struct {
   concerto_1_0_0.Concept
   ListedProduct []string `json:"listedProduct"`
   Payment []string `json:"payment"`
   ContractReference []string `json:"contractReference"`
   EffectedContract []string `json:"effectedContract"`
   EffectedContractReference []string `json:"effectedContractReference"`
   EffectedEvent string `json:"effectedEvent"`
   Transfer []string `json:"transfer"`
   Contract []string `json:"contract"`
}
type BusinessCentersBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   BusinessCenterScheme string `json:"businessCenterScheme"`
   BusinessCenter []BusinessCenterEnum `json:"businessCenter"`
   BusinessCentersReference string `json:"businessCentersReference"`
}
type BusinessCenters struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   BusinessCenterScheme string `json:"businessCenterScheme"`
   BusinessCenter []BusinessCenterEnum `json:"businessCenter"`
   BusinessCentersReference string `json:"businessCentersReference"`
}
type BondOptionStrikeBuilder struct {
   concerto_1_0_0.Concept
}
type BondOptionStrike struct {
   concerto_1_0_0.Concept
   ReferenceSwapCurve ReferenceSwapCurve `json:"referenceSwapCurve"`
   Price OptionStrike `json:"price"`
}
type MandatoryEarlyTerminationBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
}
type MandatoryEarlyTermination struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   CashSettlement OptionCashSettlement `json:"cashSettlement"`
   CalculationAgent CalculationAgent `json:"calculationAgent"`
   MandatoryEarlyTerminationDate AdjustableDate `json:"mandatoryEarlyTerminationDate"`
   MandatoryEarlyTerminationAdjustedDates MandatoryEarlyTerminationAdjustedDates `json:"mandatoryEarlyTerminationAdjustedDates"`
}
type OptionStyleBuilder struct {
   concerto_1_0_0.Concept
}
type OptionStyle struct {
   concerto_1_0_0.Concept
   AmericanExercise AmericanExercise `json:"americanExercise"`
   BermudaExercise BermudaExercise `json:"bermudaExercise"`
   EuropeanExercise EuropeanExercise `json:"europeanExercise"`
}
type ProductIdentifierBuilder struct {
   concerto_1_0_0.Concept
   ProductId string `json:"productId"`
   ProductIdSource ProductIdSourceEnum `json:"productIdSource"`
   ProductIdScheme string `json:"productIdScheme"`
}
type ProductIdentifier struct {
   concerto_1_0_0.Concept
   ProductId string `json:"productId"`
   ProductIdSource ProductIdSourceEnum `json:"productIdSource"`
   ProductIdScheme string `json:"productIdScheme"`
}
type SpecifiedCurrencyBuilder struct {
   concerto_1_0_0.Concept
   Currency string `json:"currency"`
   Applicable bool `json:"applicable"`
   CurrencyScheme string `json:"currencyScheme"`
}
type SpecifiedCurrency struct {
   concerto_1_0_0.Concept
   Currency string `json:"currency"`
   Applicable bool `json:"applicable"`
   CurrencyScheme string `json:"currencyScheme"`
}
type CalculationPeriodDates struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   CalculationPeriodFrequency CalculationPeriodFrequency `json:"calculationPeriodFrequency"`
   EffectiveDate DateInstances `json:"effectiveDate"`
   TerminationDate AdjustableDate `json:"terminationDate"`
   FirstCompoundingPeriodEndDate time.Time `json:"firstCompoundingPeriodEndDate"`
   StubPeriodType StubPeriodTypeEnum `json:"stubPeriodType"`
   RelativeEffectiveDate AdjustedRelativeDateOffset `json:"relativeEffectiveDate"`
   RelativeTerminationDate RelativeDateOffset `json:"relativeTerminationDate"`
   FirstPeriodStartDate AdjustableDate `json:"firstPeriodStartDate"`
   FirstRegularPeriodStartDate time.Time `json:"firstRegularPeriodStartDate"`
   CalculationPeriodDatesAdjustments BusinessDayAdjustments `json:"calculationPeriodDatesAdjustments"`
   LastRegularPeriodEndDate time.Time `json:"lastRegularPeriodEndDate"`
}
type CalculationPeriodDatesBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   FirstCompoundingPeriodEndDate time.Time `json:"firstCompoundingPeriodEndDate"`
   StubPeriodType StubPeriodTypeEnum `json:"stubPeriodType"`
   FirstRegularPeriodStartDate time.Time `json:"firstRegularPeriodStartDate"`
   LastRegularPeriodEndDate time.Time `json:"lastRegularPeriodEndDate"`
}
type StubCalculationPeriodAmount struct {
   concerto_1_0_0.Concept
   CalculationPeriodDatesReference string `json:"calculationPeriodDatesReference"`
   InitialStub StubValue `json:"initialStub"`
   FinalStub StubValue `json:"finalStub"`
}
type StubCalculationPeriodAmountBuilder struct {
   concerto_1_0_0.Concept
   CalculationPeriodDatesReference string `json:"calculationPeriodDatesReference"`
}
type SettledEntityMatrixSourceEnum int
const (
   CONFIRMATION_ANNEX SettledEntityMatrixSourceEnum = 1 + iota
   NOT_APPLICABLE
   PUBLISHER
)
type SwapCurveValuation struct {
   concerto_1_0_0.Concept
   FloatingRateIndex FloatingRateIndexEnum `json:"floatingRateIndex"`
   IndexTenor Period `json:"indexTenor"`
   Spread float64 `json:"spread"`
   Side QuotationSideEnum `json:"side"`
}
type SwapCurveValuationBuilder struct {
   concerto_1_0_0.Concept
   FloatingRateIndex FloatingRateIndexEnum `json:"floatingRateIndex"`
   Spread float64 `json:"spread"`
   Side QuotationSideEnum `json:"side"`
}
type PartyAndAccountReferenceBuilder struct {
   concerto_1_0_0.Concept
   AccountReference string `json:"accountReference"`
   PartyReference string `json:"partyReference"`
}
type PartyAndAccountReference struct {
   concerto_1_0_0.Concept
   AccountReference string `json:"accountReference"`
   PartyReference string `json:"partyReference"`
}
type ConstituentWeightBuilder struct {
   concerto_1_0_0.Concept
   OpenUnits float64 `json:"openUnits"`
   BasketPercentage float64 `json:"basketPercentage"`
}
type ConstituentWeight struct {
   concerto_1_0_0.Concept
   OpenUnits float64 `json:"openUnits"`
   BasketPercentage float64 `json:"basketPercentage"`
}
type InterestRatePayoutBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   DayCountFractionScheme string `json:"dayCountFractionScheme"`
   DayCountFraction DayCountFractionEnum `json:"dayCountFraction"`
   CompoundingMethod CompoundingMethodEnum `json:"compoundingMethod"`
}
type InterestRatePayout struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   RosettaKeyValue string `json:"rosettaKeyValue"`
   DayCountFractionScheme string `json:"dayCountFractionScheme"`
   CrossCurrencyTerms CrossCurrencyTerms `json:"crossCurrencyTerms"`
   Discounting Discounting `json:"discounting"`
   CashflowRepresentation CashflowRepresentation `json:"cashflowRepresentation"`
   BondReference BondReference `json:"bondReference"`
   DayCountFraction DayCountFractionEnum `json:"dayCountFraction"`
   CompoundingMethod CompoundingMethodEnum `json:"compoundingMethod"`
   ResetDates ResetDates `json:"resetDates"`
   PayerReceiver PayerReceiver `json:"payerReceiver"`
   CalculationPeriodDates CalculationPeriodDates `json:"calculationPeriodDates"`
   Quantity ContractualQuantity `json:"quantity"`
   InterestRate InterestRate `json:"interestRate"`
   StubPeriod StubPeriod `json:"stubPeriod"`
   PaymentDates PaymentDates `json:"paymentDates"`
}
type AdjustableOrAdjustedOrRelativeDateBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   UnadjustedDate time.Time `json:"unadjustedDate"`
   AdjustedDate time.Time `json:"adjustedDate"`
}
type AdjustableOrAdjustedOrRelativeDate struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   UnadjustedDate time.Time `json:"unadjustedDate"`
   RelativeDate RelativeDateOffset `json:"relativeDate"`
   AdjustedDate time.Time `json:"adjustedDate"`
   DateAdjustments BusinessDayAdjustments `json:"dateAdjustments"`
}
type Obligations struct {
   concerto_1_0_0.Concept
   Category ObligationCategoryEnum `json:"category"`
   Excluded string `json:"excluded"`
   FullFaithAndCreditObLiability bool `json:"fullFaithAndCreditObLiability"`
   GeneralFundObligationLiability bool `json:"generalFundObligationLiability"`
   Listed bool `json:"listed"`
   NotContingent bool `json:"notContingent"`
   NotDomesticCurrency NotDomesticCurrency `json:"notDomesticCurrency"`
   NotDomesticIssuance bool `json:"notDomesticIssuance"`
   NotDomesticLaw bool `json:"notDomesticLaw"`
   NotSovereignLender bool `json:"notSovereignLender"`
   NotSubordinated bool `json:"notSubordinated"`
   OthReferenceEntityObligations string `json:"othReferenceEntityObligations"`
   RevenueObligationLiability bool `json:"revenueObligationLiability"`
   SpecifiedCurrency SpecifiedCurrency `json:"specifiedCurrency"`
   DesignatedPriority string `json:"designatedPriority"`
   CashSettlementOnly bool `json:"cashSettlementOnly"`
   DeliveryOfCommitments bool `json:"deliveryOfCommitments"`
   Continuity bool `json:"continuity"`
   DesignatedPriorityScheme string `json:"designatedPriorityScheme"`
}
type ObligationsBuilder struct {
   concerto_1_0_0.Concept
   Category ObligationCategoryEnum `json:"category"`
   Excluded string `json:"excluded"`
   FullFaithAndCreditObLiability bool `json:"fullFaithAndCreditObLiability"`
   GeneralFundObligationLiability bool `json:"generalFundObligationLiability"`
   Listed bool `json:"listed"`
   NotContingent bool `json:"notContingent"`
   NotDomesticIssuance bool `json:"notDomesticIssuance"`
   NotDomesticLaw bool `json:"notDomesticLaw"`
   NotSovereignLender bool `json:"notSovereignLender"`
   NotSubordinated bool `json:"notSubordinated"`
   OthReferenceEntityObligations string `json:"othReferenceEntityObligations"`
   RevenueObligationLiability bool `json:"revenueObligationLiability"`
   DesignatedPriority string `json:"designatedPriority"`
   CashSettlementOnly bool `json:"cashSettlementOnly"`
   DeliveryOfCommitments bool `json:"deliveryOfCommitments"`
   Continuity bool `json:"continuity"`
   DesignatedPriorityScheme string `json:"designatedPriorityScheme"`
}
type ContractualTermsSupplement struct {
   concerto_1_0_0.Concept
   Type ContractualSupplementEnum `json:"type"`
   PublicationDate time.Time `json:"publicationDate"`
   TypeScheme string `json:"typeScheme"`
}
type ContractualTermsSupplementBuilder struct {
   concerto_1_0_0.Concept
   Type ContractualSupplementEnum `json:"type"`
   PublicationDate time.Time `json:"publicationDate"`
   TypeScheme string `json:"typeScheme"`
}
type Lineage struct {
   concerto_1_0_0.Concept
   ContractReference []Identifier `json:"contractReference"`
   EventReference []Identifier `json:"eventReference"`
   ContractReferenceScheme string `json:"contractReferenceScheme"`
}
type LineageBuilder struct {
   concerto_1_0_0.Concept
   ContractReferenceScheme string `json:"contractReferenceScheme"`
}
type SettledEntityMatrix struct {
   concerto_1_0_0.Concept
   PublicationDate time.Time `json:"publicationDate"`
   MatrixSourceScheme string `json:"matrixSourceScheme"`
   MatrixSource SettledEntityMatrixSourceEnum `json:"matrixSource"`
}
type SettledEntityMatrixBuilder struct {
   concerto_1_0_0.Concept
   PublicationDate time.Time `json:"publicationDate"`
   MatrixSourceScheme string `json:"matrixSourceScheme"`
   MatrixSource SettledEntityMatrixSourceEnum `json:"matrixSource"`
}
type ReferenceInformationBuilder struct {
   concerto_1_0_0.Concept
   ReferencePrice float64 `json:"referencePrice"`
   AllGuarantees bool `json:"allGuarantees"`
   NoReferenceObligation bool `json:"noReferenceObligation"`
   UnknownReferenceObligation bool `json:"unknownReferenceObligation"`
   ReferencePolicy bool `json:"referencePolicy"`
   SecuredList bool `json:"securedList"`
}
type ReferenceInformation struct {
   concerto_1_0_0.Concept
   ReferencePrice float64 `json:"referencePrice"`
   AllGuarantees bool `json:"allGuarantees"`
   ReferenceObligation []ReferenceObligation `json:"referenceObligation"`
   ReferenceEntity LegalEntity `json:"referenceEntity"`
   NoReferenceObligation bool `json:"noReferenceObligation"`
   UnknownReferenceObligation bool `json:"unknownReferenceObligation"`
   ReferencePolicy bool `json:"referencePolicy"`
   SecuredList bool `json:"securedList"`
}
type NonNegativeAmountScheduleBuilder struct {
   concerto_1_0_0.Concept
   Currency string `json:"currency"`
   CurrencyScheme string `json:"currencyScheme"`
   Id string `json:"id"`
   InitialValue float64 `json:"initialValue"`
}
type NonNegativeAmountSchedule struct {
   concerto_1_0_0.Concept
   Currency string `json:"currency"`
   CurrencyScheme string `json:"currencyScheme"`
   Id string `json:"id"`
   InitialValue float64 `json:"initialValue"`
   Step []NonNegativeStep `json:"step"`
}
type CashflowTypeEnum int
const (
   BROKERAGE_COMMISSION CashflowTypeEnum = 1 + iota
   FEE
   INTEREST
   NET_INTEREST
   NOVATION_FEE
   PREMIUM
   TERMINATION_FEE
)
type PayerReceiver struct {
   concerto_1_0_0.Concept
   PayerPartyReference string `json:"payerPartyReference"`
   ReceiverPartyReference string `json:"receiverPartyReference"`
   PayerAccountReference string `json:"payerAccountReference"`
   ReceiverAccountReference string `json:"receiverAccountReference"`
}
type PayerReceiverBuilder struct {
   concerto_1_0_0.Concept
   PayerPartyReference string `json:"payerPartyReference"`
   ReceiverPartyReference string `json:"receiverPartyReference"`
   PayerAccountReference string `json:"payerAccountReference"`
   ReceiverAccountReference string `json:"receiverAccountReference"`
}
type BusinessCenterEnum int
const (
   AEAD BusinessCenterEnum = 1 + iota
   AEDU
   AMYE
   BEBR
   BRBD
   CATO
   CHZU
   CNBE
   DEFR
   EUTA
   GBLO
   INMU
   JPTO
   KRSE
   USNY
)
type BasketReferenceInformation struct {
   concerto_1_0_0.Concept
   Tranche Tranche `json:"tranche"`
   BasketName BasketName `json:"basketName"`
   BasketId []string `json:"basketId"`
   ReferencePool ReferencePool `json:"referencePool"`
   NthToDefault int32 `json:"nthToDefault"`
   MthToDefault int32 `json:"mthToDefault"`
   BasketIdScheme string `json:"basketIdScheme"`
}
type BasketReferenceInformationBuilder struct {
   concerto_1_0_0.Concept
   BasketId []string `json:"basketId"`
   NthToDefault int32 `json:"nthToDefault"`
   MthToDefault int32 `json:"mthToDefault"`
   BasketIdScheme string `json:"basketIdScheme"`
}
type FeaturePayment struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   Currency string `json:"currency"`
   FeaturePaymentDate AdjustableOrAdjustedDate `json:"featurePaymentDate"`
   CurrencyScheme string `json:"currencyScheme"`
   LevelPercentage float64 `json:"levelPercentage"`
   PayerReceiver PayerReceiver `json:"payerReceiver"`
   Amount float64 `json:"amount"`
   Time TimeTypeEnum `json:"time"`
}
type FeaturePaymentBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   Currency string `json:"currency"`
   CurrencyScheme string `json:"currencyScheme"`
   LevelPercentage float64 `json:"levelPercentage"`
   Amount float64 `json:"amount"`
   Time TimeTypeEnum `json:"time"`
}
type ReferencePool struct {
   concerto_1_0_0.Concept
   ReferencePoolItem []ReferencePoolItem `json:"referencePoolItem"`
}
type ReferencePoolBuilder struct {
   concerto_1_0_0.Concept
}
type PhysicalSettlementPeriod struct {
   concerto_1_0_0.Concept
   BusinessDays int32 `json:"businessDays"`
   MaximumBusinessDays int32 `json:"maximumBusinessDays"`
   BusinessDaysNotSpecified bool `json:"businessDaysNotSpecified"`
}
type PhysicalSettlementPeriodBuilder struct {
   concerto_1_0_0.Concept
   BusinessDays int32 `json:"businessDays"`
   MaximumBusinessDays int32 `json:"maximumBusinessDays"`
   BusinessDaysNotSpecified bool `json:"businessDaysNotSpecified"`
}
type PackageTypeEnum int
const (
   BUTTERFLY PackageTypeEnum = 1 + iota
   CALENDAR_ROLL
   CALENDAR_SPREAD
   CUSTOM
   INDEX_ROLL
   ONE_CANCELS_OTHERS
   SWAP_SPREAD
   SWITCH
)
type EconomicTermsBuilder struct {
   concerto_1_0_0.Concept
}
type EconomicTerms struct {
   concerto_1_0_0.Concept
   RosettaKeyValue string `json:"rosettaKeyValue"`
   Payout Payout `json:"payout"`
   EarlyTerminationProvision EarlyTerminationProvision `json:"earlyTerminationProvision"`
   CancelableProvision CancelableProvision `json:"cancelableProvision"`
   ExtendibleProvision ExtendibleProvision `json:"extendibleProvision"`
}
type EquityAsset struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   Currency string `json:"currency"`
   ClearanceSystemScheme string `json:"clearanceSystemScheme"`
   ProductIdentifierScheme string `json:"productIdentifierScheme"`
   ProductIdentifier []ProductIdentifier `json:"productIdentifier"`
   ProductTaxonomy []ProductTaxonomy `json:"productTaxonomy"`
   Description string `json:"description"`
   ClearanceSystem string `json:"clearanceSystem"`
   CurrencyScheme string `json:"currencyScheme"`
}
type EquityAssetBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   Currency string `json:"currency"`
   ClearanceSystemScheme string `json:"clearanceSystemScheme"`
   ProductIdentifierScheme string `json:"productIdentifierScheme"`
   Description string `json:"description"`
   ClearanceSystem string `json:"clearanceSystem"`
   CurrencyScheme string `json:"currencyScheme"`
}
type AdjustableOrRelativeDates struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   AdjustableDates AdjustableDates `json:"adjustableDates"`
   RelativeDates RelativeDates `json:"relativeDates"`
}
type AdjustableOrRelativeDatesBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
}
type IndexAnnexSourceEnum int
const (
   MASTER_CONFIRMATION IndexAnnexSourceEnum = 1 + iota
   PUBLISHER
)
type Knock struct {
   concerto_1_0_0.Concept
   KnockOut TriggerEvent `json:"knockOut"`
   KnockIn TriggerEvent `json:"knockIn"`
}
type KnockBuilder struct {
   concerto_1_0_0.Concept
}
type CalculationAgentModelBuilder struct {
   concerto_1_0_0.Concept
   CalculationAgentBusinessCenter BusinessCenterEnum `json:"calculationAgentBusinessCenter"`
}
type CalculationAgentModel struct {
   concerto_1_0_0.Concept
   CalculationAgentBusinessCenter BusinessCenterEnum `json:"calculationAgentBusinessCenter"`
   CalculationAgent CalculationAgent `json:"calculationAgent"`
}
type CalendarSpread struct {
   concerto_1_0_0.Concept
   ExpirationDateTwo AdjustableOrRelativeDate `json:"expirationDateTwo"`
}
type CalendarSpreadBuilder struct {
   concerto_1_0_0.Concept
}
type ProductTaxonomy struct {
   concerto_1_0_0.Concept
   TaxonomyValue string `json:"taxonomyValue"`
   TaxonomySource TaxonomySourceEnum `json:"taxonomySource"`
}
type ProductTaxonomyBuilder struct {
   concerto_1_0_0.Concept
   TaxonomyValue string `json:"taxonomyValue"`
   TaxonomySource TaxonomySourceEnum `json:"taxonomySource"`
}
type TransferTypeEnum int
const (
   SECURITY_SETTLEMENT TransferTypeEnum = 1 + iota
   SECURITY_TRANSFER
   BROKERAGE_COMMISSION
   FEE
   INTEREST
   NET_INTEREST
   NOVATION_FEE
   PREMIUM
   TERMINATION_FEE
)
type BrokerConfirmation struct {
   concerto_1_0_0.Concept
   BrokerConfirmationType BrokerConfirmationTypeEnum `json:"brokerConfirmationType"`
   BrokerConfirmationTypeScheme string `json:"brokerConfirmationTypeScheme"`
}
type BrokerConfirmationBuilder struct {
   concerto_1_0_0.Concept
   BrokerConfirmationType BrokerConfirmationTypeEnum `json:"brokerConfirmationType"`
   BrokerConfirmationTypeScheme string `json:"brokerConfirmationTypeScheme"`
}
type DeliverableObligations struct {
   concerto_1_0_0.Concept
   Category ObligationCategoryEnum `json:"category"`
   AcceleratedOrMatured bool `json:"acceleratedOrMatured"`
   AccruedInterest bool `json:"accruedInterest"`
   AssignableLoan PCDeliverableObligationCharac `json:"assignableLoan"`
   ConsentRequiredLoan PCDeliverableObligationCharac `json:"consentRequiredLoan"`
   DirectLoanParticipation LoanParticipation `json:"directLoanParticipation"`
   Excluded string `json:"excluded"`
   FullFaithAndCreditObLiability bool `json:"fullFaithAndCreditObLiability"`
   GeneralFundObligationLiability bool `json:"generalFundObligationLiability"`
   IndirectLoanParticipation LoanParticipation `json:"indirectLoanParticipation"`
   Listed bool `json:"listed"`
   MaximumMaturity Period `json:"maximumMaturity"`
   NotBearer bool `json:"notBearer"`
   NotContingent bool `json:"notContingent"`
   NotDomesticCurrency NotDomesticCurrency `json:"notDomesticCurrency"`
   NotDomesticIssuance bool `json:"notDomesticIssuance"`
   NotDomesticLaw bool `json:"notDomesticLaw"`
   NotSovereignLender bool `json:"notSovereignLender"`
   NotSubordinated bool `json:"notSubordinated"`
   OthReferenceEntityObligations string `json:"othReferenceEntityObligations"`
   RevenueObligationLiability bool `json:"revenueObligationLiability"`
   SpecifiedCurrency SpecifiedCurrency `json:"specifiedCurrency"`
   Transferable bool `json:"transferable"`
}
type DeliverableObligationsBuilder struct {
   concerto_1_0_0.Concept
   Category ObligationCategoryEnum `json:"category"`
   AcceleratedOrMatured bool `json:"acceleratedOrMatured"`
   AccruedInterest bool `json:"accruedInterest"`
   Excluded string `json:"excluded"`
   FullFaithAndCreditObLiability bool `json:"fullFaithAndCreditObLiability"`
   GeneralFundObligationLiability bool `json:"generalFundObligationLiability"`
   Listed bool `json:"listed"`
   NotBearer bool `json:"notBearer"`
   NotContingent bool `json:"notContingent"`
   NotDomesticIssuance bool `json:"notDomesticIssuance"`
   NotDomesticLaw bool `json:"notDomesticLaw"`
   NotSovereignLender bool `json:"notSovereignLender"`
   NotSubordinated bool `json:"notSubordinated"`
   OthReferenceEntityObligations string `json:"othReferenceEntityObligations"`
   RevenueObligationLiability bool `json:"revenueObligationLiability"`
   Transferable bool `json:"transferable"`
}
type DateInstancesBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   Date time.Time `json:"date"`
}
type DateInstances struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   AdjustableDate AdjustableDate `json:"adjustableDate"`
   PriorDateInstance []PriorDateInstance `json:"priorDateInstance"`
   Date time.Time `json:"date"`
}
type ExerciseNoticeBuilder struct {
   concerto_1_0_0.Concept
   BusinessCenterScheme string `json:"businessCenterScheme"`
   BusinessCenter BusinessCenterEnum `json:"businessCenter"`
   ExerciseNoticePartyReference string `json:"exerciseNoticePartyReference"`
   PartyReference string `json:"partyReference"`
}
type ExerciseNotice struct {
   concerto_1_0_0.Concept
   BusinessCenterScheme string `json:"businessCenterScheme"`
   BusinessCenter BusinessCenterEnum `json:"businessCenter"`
   ExerciseNoticePartyReference string `json:"exerciseNoticePartyReference"`
   PartyReference string `json:"partyReference"`
}
type MasterAgreementTypeEnum int
const (
   AFB MasterAgreementTypeEnum = 1 + iota
   ISDA
)
type FloatingRate struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   SpreadSchedule []SpreadSchedule `json:"spreadSchedule"`
   FloatingRateIndexScheme string `json:"floatingRateIndexScheme"`
   FloatingRateMultiplierSchedule Schedule `json:"floatingRateMultiplierSchedule"`
   FloatingRateIndex FloatingRateIndexEnum `json:"floatingRateIndex"`
   IndexTenor Period `json:"indexTenor"`
   RateTreatment RateTreatmentEnum `json:"rateTreatment"`
   CapRateSchedule []StrikeSchedule `json:"capRateSchedule"`
   FloorRateSchedule []StrikeSchedule `json:"floorRateSchedule"`
}
type FloatingRateBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   FloatingRateIndexScheme string `json:"floatingRateIndexScheme"`
   FloatingRateIndex FloatingRateIndexEnum `json:"floatingRateIndex"`
   RateTreatment RateTreatmentEnum `json:"rateTreatment"`
}
type CancellationEvent struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   AdjustedEarlyTerminationDate time.Time `json:"adjustedEarlyTerminationDate"`
   AdjustedExerciseDate time.Time `json:"adjustedExerciseDate"`
}
type CancellationEventBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   AdjustedEarlyTerminationDate time.Time `json:"adjustedEarlyTerminationDate"`
   AdjustedExerciseDate time.Time `json:"adjustedExerciseDate"`
}
type MultipleValuationDates struct {
   concerto_1_0_0.Concept
   BusinessDaysThereafter int32 `json:"businessDaysThereafter"`
   NumberValuationDates int32 `json:"numberValuationDates"`
   BusinessDays int32 `json:"businessDays"`
}
type MultipleValuationDatesBuilder struct {
   concerto_1_0_0.Concept
   BusinessDaysThereafter int32 `json:"businessDaysThereafter"`
   NumberValuationDates int32 `json:"numberValuationDates"`
   BusinessDays int32 `json:"businessDays"`
}
type TriggerBuilder struct {
   concerto_1_0_0.Concept
   Level float64 `json:"level"`
   LevelPercentage float64 `json:"levelPercentage"`
   CreditEventsReference string `json:"creditEventsReference"`
   TriggerType TriggerTypeEnum `json:"triggerType"`
   TriggerTimeType TriggerTimeTypeEnum `json:"triggerTimeType"`
}
type Trigger struct {
   concerto_1_0_0.Concept
   CreditEvents CreditEvents `json:"creditEvents"`
   Level float64 `json:"level"`
   LevelPercentage float64 `json:"levelPercentage"`
   CreditEventsReference string `json:"creditEventsReference"`
   TriggerType TriggerTypeEnum `json:"triggerType"`
   TriggerTimeType TriggerTimeTypeEnum `json:"triggerTimeType"`
}
type ExerciseOutcome struct {
   concerto_1_0_0.Concept
   PhysicalExercise PhysicalExercise `json:"physicalExercise"`
   CashExercise Cashflow `json:"cashExercise"`
   ContractReference []ContractReference `json:"contractReference"`
   Contract []Contract `json:"contract"`
}
type ExerciseOutcomeBuilder struct {
   concerto_1_0_0.Concept
}
type ExerciseFeeScheduleBuilder struct {
   concerto_1_0_0.Concept
   NotionalReference string `json:"notionalReference"`
   PayerPartyReference string `json:"payerPartyReference"`
   ReceiverPartyReference string `json:"receiverPartyReference"`
   PayerAccountReference string `json:"payerAccountReference"`
   ReceiverAccountReference string `json:"receiverAccountReference"`
}
type ExerciseFeeSchedule struct {
   concerto_1_0_0.Concept
   NotionalReference string `json:"notionalReference"`
   FeeAmountSchedule AmountSchedule `json:"feeAmountSchedule"`
   FeeRateSchedule Schedule `json:"feeRateSchedule"`
   FeePaymentDate RelativeDateOffset `json:"feePaymentDate"`
   PayerPartyReference string `json:"payerPartyReference"`
   ReceiverPartyReference string `json:"receiverPartyReference"`
   PayerAccountReference string `json:"payerAccountReference"`
   ReceiverAccountReference string `json:"receiverAccountReference"`
}
type MarketDisruptionEnum int
const (
   MODIFIED_POSTPONEMENT MarketDisruptionEnum = 1 + iota
   OMISSION
   POSTPONEMENT
)
type FloatingRateIndexEnum int
const (
   AED_EBOR_REUTERS FloatingRateIndexEnum = 1 + iota
   AUD_AONIA_OIS_COMPOUND
   AUD_AONIA_OIS_COMPOUND_SWAP_MARKER
   BRL_CDI
   CAD_BA_CDOR
   CNY_CNREPOFIX_CFXS_REUTERS
   EUR_EONIA_OIS_COMPOUND
   EUR_EURIBOR_REUTERS
   EUR_EURIBOR_TELERATE
   EUR_LIBOR_BBA
   GBP_LIBOR_BBA
   GBP_LIBOR_ISDA
   GBP_SONIA_COMPOUND
   INR_FBIL_MIBOR_OIS_COMPOUND
   KRW_CD_KSDA_BLOOMBERG
   UK_RPIX
   USA_CPI_U
   USD_FEDERAL_FUNDS_H_15_OIS_COMPOUND
   USD_LIBOR_BBA
)
type EventTimestamp struct {
   concerto_1_0_0.Concept
   ExpiryTimestamp time.Time `json:"expiryTimestamp"`
   CreationTimestamp time.Time `json:"creationTimestamp"`
}
type EventTimestampBuilder struct {
   concerto_1_0_0.Concept
   ExpiryTimestamp time.Time `json:"expiryTimestamp"`
   CreationTimestamp time.Time `json:"creationTimestamp"`
}
type QuantoBuilder struct {
   concerto_1_0_0.Concept
}
type Quanto struct {
   concerto_1_0_0.Concept
   FxRate []FxRate `json:"fxRate"`
   FxSpotRateSource FxSpotRateSource `json:"fxSpotRateSource"`
}
type UnitEnum int
const (
   M_WH UnitEnum = 1 + iota
   MMBTU
   BBL
   GAL
   BSH
)
type DeterminationMethodEnum int
const (
   AGREED_INITIAL_PRICE DeterminationMethodEnum = 1 + iota
   AS_SPECIFIED_IN_MASTER_CONFIRMATION
   CALCULATION_AGENT
   CLOSING_PRICE
   DIVIDEND_CURRENCY
   EXPIRING_CONTRACT_LEVEL
   HEDGE_EXECUTION
   ISSUER_PAYMENT_CURRENCY
   NAV
   OPEN_PRICE
   OSP_PRICE
   SETTLEMENT_CURRENCY
   STRIKE_DATE_DETERMINATION
   TWAP_PRICE
   VALUATION_TIME
   VWAP_PRICE
)
type NotionalSchedule struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   NotionalStepSchedule NonNegativeAmountSchedule `json:"notionalStepSchedule"`
   NotionalStepParameters NotionalStepRule `json:"notionalStepParameters"`
}
type NotionalScheduleBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
}
type PeriodEnum int
const (
   D PeriodEnum = 1 + iota
   W
   M
   Y
)
type InceptionBuilder struct {
   concerto_1_0_0.Concept
}
type Inception struct {
   concerto_1_0_0.Concept
   Before []ContractOrContractReference `json:"before"`
   After ContractOrContractReference `json:"after"`
}
type ExerciseFeeBuilder struct {
   concerto_1_0_0.Concept
   NotionalReference string `json:"notionalReference"`
   FeeAmount float64 `json:"feeAmount"`
   FeeRate float64 `json:"feeRate"`
   SellerPartyReference string `json:"sellerPartyReference"`
   BuyerPartyReference string `json:"buyerPartyReference"`
   BuyerAccountReference string `json:"buyerAccountReference"`
   SellerAccountReference string `json:"sellerAccountReference"`
}
type ExerciseFee struct {
   concerto_1_0_0.Concept
   NotionalReference string `json:"notionalReference"`
   FeePaymentDate RelativeDateOffset `json:"feePaymentDate"`
   FeeAmount float64 `json:"feeAmount"`
   FeeRate float64 `json:"feeRate"`
   SellerPartyReference string `json:"sellerPartyReference"`
   BuyerPartyReference string `json:"buyerPartyReference"`
   BuyerAccountReference string `json:"buyerAccountReference"`
   SellerAccountReference string `json:"sellerAccountReference"`
}
type BusinessDayConventionEnum int
const (
   FOLLOWING BusinessDayConventionEnum = 1 + iota
   FRN
   MODFOLLOWING
   PRECEDING
   MODPRECEDING
   NEAREST
   NONE
   NOT_APPLICABLE
)
type CancelableProvisionAdjustedDatesBuilder struct {
   concerto_1_0_0.Concept
}
type CancelableProvisionAdjustedDates struct {
   concerto_1_0_0.Concept
   CancellationEvent []CancellationEvent `json:"cancellationEvent"`
}
type PremiumTypeEnum int
const (
   PRE_PAID PremiumTypeEnum = 1 + iota
   POST_PAID
   VARIABLE
   FIXED
)
type Quantity struct {
   concerto_1_0_0.Concept
   Unit UnitEnum `json:"unit"`
   Amount float64 `json:"amount"`
}
type QuantityBuilder struct {
   concerto_1_0_0.Concept
   Unit UnitEnum `json:"unit"`
   Amount float64 `json:"amount"`
}
type FinalCalculationPeriodDateAdjustment struct {
   concerto_1_0_0.Concept
   BusinessDayConvention BusinessDayConventionEnum `json:"businessDayConvention"`
   RelevantUnderlyingDateReference string `json:"relevantUnderlyingDateReference"`
   SwapStreamReference string `json:"swapStreamReference"`
}
type FinalCalculationPeriodDateAdjustmentBuilder struct {
   concerto_1_0_0.Concept
   BusinessDayConvention BusinessDayConventionEnum `json:"businessDayConvention"`
   RelevantUnderlyingDateReference string `json:"relevantUnderlyingDateReference"`
   SwapStreamReference string `json:"swapStreamReference"`
}
type CalculationAmount struct {
   concerto_1_0_0.Concept
   Step []Step `json:"step"`
   Id string `json:"id"`
   Currency string `json:"currency"`
   CurrencyScheme string `json:"currencyScheme"`
   Amount float64 `json:"amount"`
}
type CalculationAmountBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   Currency string `json:"currency"`
   CurrencyScheme string `json:"currencyScheme"`
   Amount float64 `json:"amount"`
}
type TriggerTimeTypeEnum int
const (
   CLOSING TriggerTimeTypeEnum = 1 + iota
   ANYTIME
)
type EarlyTerminationProvision struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   MandatoryEarlyTerminationDateTenor Period `json:"mandatoryEarlyTerminationDateTenor"`
   OptionalEarlyTerminationParameters ExercisePeriod `json:"optionalEarlyTerminationParameters"`
   MandatoryEarlyTermination MandatoryEarlyTermination `json:"mandatoryEarlyTermination"`
   OptionalEarlyTermination OptionalEarlyTermination `json:"optionalEarlyTermination"`
}
type EarlyTerminationProvisionBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
}
type PremiumExpression struct {
   concerto_1_0_0.Concept
   PremiumType PremiumTypeEnum `json:"premiumType"`
   PricePerOption Money `json:"pricePerOption"`
   PercentageOfNotional float64 `json:"percentageOfNotional"`
}
type PremiumExpressionBuilder struct {
   concerto_1_0_0.Concept
   PremiumType PremiumTypeEnum `json:"premiumType"`
   PercentageOfNotional float64 `json:"percentageOfNotional"`
}
type FxFeatureBuilder struct {
   concerto_1_0_0.Concept
   ReferenceCurrency string `json:"referenceCurrency"`
   ReferenceCurrencyScheme string `json:"referenceCurrencyScheme"`
}
type FxFeature struct {
   concerto_1_0_0.Concept
   ReferenceCurrency string `json:"referenceCurrency"`
   Composite Composite `json:"composite"`
   Quanto Quanto `json:"quanto"`
   CrossCurrency Composite `json:"crossCurrency"`
   ReferenceCurrencyScheme string `json:"referenceCurrencyScheme"`
}
type WeeklyRollConventionEnum int
const (
   TBILL WeeklyRollConventionEnum = 1 + iota
   MON
   TUE
   WED
   THU
   FRI
   SAT
   SUN
)
type Rosetta struct {
   concerto_1_0_0.Concept
}
type IdentifiedAssetBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   InstrumentIdentifierScheme string `json:"instrumentIdentifierScheme"`
   Description string `json:"description"`
   InstrumentIdentifier []string `json:"instrumentIdentifier"`
}
type IdentifiedAsset struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   InstrumentIdentifierScheme string `json:"instrumentIdentifierScheme"`
   Description string `json:"description"`
   InstrumentIdentifier []string `json:"instrumentIdentifier"`
}
type CrossCurrencyMethodBuilder struct {
   concerto_1_0_0.Concept
   CashSettlementCurrencyScheme string `json:"cashSettlementCurrencyScheme"`
   CashSettlementCurrency []string `json:"cashSettlementCurrency"`
   QuotationRateType QuotationRateTypeEnum `json:"quotationRateType"`
}
type CrossCurrencyMethod struct {
   concerto_1_0_0.Concept
   CashSettlementCurrencyScheme string `json:"cashSettlementCurrencyScheme"`
   CashSettlementReferenceBanks []CashSettlementReferenceBanks `json:"cashSettlementReferenceBanks"`
   CashSettlementCurrency []string `json:"cashSettlementCurrency"`
   QuotationRateType QuotationRateTypeEnum `json:"quotationRateType"`
}
type ContractReferenceBuilder struct {
   concerto_1_0_0.Concept
   State StateEnum `json:"state"`
   AccountReference string `json:"accountReference"`
   PartyReference string `json:"partyReference"`
   Issuer string `json:"issuer"`
   IssuerScheme string `json:"issuerScheme"`
   Version int32 `json:"version"`
}
type ContractReference struct {
   concerto_1_0_0.Concept
   State StateEnum `json:"state"`
   RosettaKey string `json:"rosettaKey"`
   AccountReference string `json:"accountReference"`
   PartyReference string `json:"partyReference"`
   IdentifierValue IdentifierValue `json:"identifierValue"`
   Issuer string `json:"issuer"`
   IssuerScheme string `json:"issuerScheme"`
   Version int32 `json:"version"`
}
type RestructuringEnum int
const (
   MOD_MOD_R RestructuringEnum = 1 + iota
   MOD_R
   R
)
type OptionFeatureBuilder struct {
   concerto_1_0_0.Concept
}
type OptionFeature struct {
   concerto_1_0_0.Concept
   FxFeature FxFeature `json:"fxFeature"`
   StrategyFeature StrategyFeature `json:"strategyFeature"`
   Asian Asian `json:"asian"`
   Barrier Barrier `json:"barrier"`
   Knock Knock `json:"knock"`
   PassThrough PassThrough `json:"passThrough"`
}
type LegalEntityBuilder struct {
   concerto_1_0_0.Concept
   Name string `json:"name"`
   Id string `json:"id"`
   EntityId string `json:"entityId"`
   EntityIdScheme string `json:"entityIdScheme"`
   NameScheme string `json:"nameScheme"`
}
type LegalEntity struct {
   concerto_1_0_0.Concept
   Name string `json:"name"`
   Id string `json:"id"`
   EntityId string `json:"entityId"`
   EntityIdScheme string `json:"entityIdScheme"`
   NameScheme string `json:"nameScheme"`
}
type StateEnum int
const (
   ALLOCATED StateEnum = 1 + iota
   EXERCISED
   NOVATED
   TERMINATED
)
type MasterConfirmation struct {
   concerto_1_0_0.Concept
   MasterConfirmationType MasterConfirmationTypeEnum `json:"masterConfirmationType"`
   MasterConfirmationDate time.Time `json:"masterConfirmationDate"`
   MasterConfirmationAnnexDate time.Time `json:"masterConfirmationAnnexDate"`
   MasterConfirmationAnnexType MasterConfirmationAnnexTypeEnum `json:"masterConfirmationAnnexType"`
   MasterConfirmationAnnexTypeScheme string `json:"masterConfirmationAnnexTypeScheme"`
   MasterConfirmationTypeScheme string `json:"masterConfirmationTypeScheme"`
}
type MasterConfirmationBuilder struct {
   concerto_1_0_0.Concept
   MasterConfirmationType MasterConfirmationTypeEnum `json:"masterConfirmationType"`
   MasterConfirmationDate time.Time `json:"masterConfirmationDate"`
   MasterConfirmationAnnexDate time.Time `json:"masterConfirmationAnnexDate"`
   MasterConfirmationAnnexType MasterConfirmationAnnexTypeEnum `json:"masterConfirmationAnnexType"`
   MasterConfirmationAnnexTypeScheme string `json:"masterConfirmationAnnexTypeScheme"`
   MasterConfirmationTypeScheme string `json:"masterConfirmationTypeScheme"`
}
type Commodity struct {
   concerto_1_0_0.Concept
}
type CommodityBuilder struct {
   concerto_1_0_0.Concept
}
type BusinessCenterTime struct {
   concerto_1_0_0.Concept
   BusinessCenterScheme string `json:"businessCenterScheme"`
   BusinessCenter BusinessCenterEnum `json:"businessCenter"`
   HourMinuteTime time.Time `json:"hourMinuteTime"`
}
type BusinessCenterTimeBuilder struct {
   concerto_1_0_0.Concept
   BusinessCenterScheme string `json:"businessCenterScheme"`
   BusinessCenter BusinessCenterEnum `json:"businessCenter"`
   HourMinuteTime time.Time `json:"hourMinuteTime"`
}
type NegativeInterestRateTreatmentEnum int
const (
   NEGATIVE_INTEREST_RATE_METHOD NegativeInterestRateTreatmentEnum = 1 + iota
   ZERO_INTEREST_RATE_METHOD
)
type GracePeriodExtensionBuilder struct {
   concerto_1_0_0.Concept
   Applicable bool `json:"applicable"`
}
type GracePeriodExtension struct {
   concerto_1_0_0.Concept
   Applicable bool `json:"applicable"`
   GracePeriod Offset `json:"gracePeriod"`
}
type PrincipalExchangesBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   InitialExchange bool `json:"initialExchange"`
   FinalExchange bool `json:"finalExchange"`
   IntermediateExchange bool `json:"intermediateExchange"`
}
type PrincipalExchanges struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   InitialExchange bool `json:"initialExchange"`
   FinalExchange bool `json:"finalExchange"`
   IntermediateExchange bool `json:"intermediateExchange"`
}
type RateTreatmentEnum int
const (
   BOND_EQUIVALENT_YIELD RateTreatmentEnum = 1 + iota
   MONEY_MARKET_YIELD
)
type Bond struct {
   concerto_1_0_0.Concept
   PaymentFrequency Period `json:"paymentFrequency"`
   DayCountFractionScheme string `json:"dayCountFractionScheme"`
   ParValue float64 `json:"parValue"`
   IssuanceFaceAmount float64 `json:"issuanceFaceAmount"`
   DayCountFraction DayCountFractionEnum `json:"dayCountFraction"`
   CouponTypeScheme string `json:"couponTypeScheme"`
   SeniorityScheme string `json:"seniorityScheme"`
   IssuerName string `json:"issuerName"`
   IssuerReference string `json:"issuerReference"`
   Seniority CreditSeniorityEnum `json:"seniority"`
   CouponType CouponTypeEnum `json:"couponType"`
   CouponRate float64 `json:"couponRate"`
   Maturity time.Time `json:"maturity"`
   IssueDate time.Time `json:"issueDate"`
   Id string `json:"id"`
   Currency string `json:"currency"`
   ClearanceSystemScheme string `json:"clearanceSystemScheme"`
   ProductIdentifierScheme string `json:"productIdentifierScheme"`
   ProductIdentifier []ProductIdentifier `json:"productIdentifier"`
   ProductTaxonomy []ProductTaxonomy `json:"productTaxonomy"`
   Description string `json:"description"`
   ClearanceSystem string `json:"clearanceSystem"`
   CurrencyScheme string `json:"currencyScheme"`
}
type BondBuilder struct {
   concerto_1_0_0.Concept
   DayCountFractionScheme string `json:"dayCountFractionScheme"`
   ParValue float64 `json:"parValue"`
   IssuanceFaceAmount float64 `json:"issuanceFaceAmount"`
   DayCountFraction DayCountFractionEnum `json:"dayCountFraction"`
   CouponTypeScheme string `json:"couponTypeScheme"`
   SeniorityScheme string `json:"seniorityScheme"`
   IssuerName string `json:"issuerName"`
   IssuerReference string `json:"issuerReference"`
   Seniority CreditSeniorityEnum `json:"seniority"`
   CouponType CouponTypeEnum `json:"couponType"`
   CouponRate float64 `json:"couponRate"`
   Maturity time.Time `json:"maturity"`
   IssueDate time.Time `json:"issueDate"`
   Id string `json:"id"`
   Currency string `json:"currency"`
   ClearanceSystemScheme string `json:"clearanceSystemScheme"`
   ProductIdentifierScheme string `json:"productIdentifierScheme"`
   Description string `json:"description"`
   ClearanceSystem string `json:"clearanceSystem"`
   CurrencyScheme string `json:"currencyScheme"`
}
type MatrixTermEnum int
const (
   IVS_1_OPEN_MARKETS MatrixTermEnum = 1 + iota
)
type AveragingInOutEnum int
const (
   IN AveragingInOutEnum = 1 + iota
   OUT
   BOTH
)
type PrincipalExchange struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   DiscountFactor float64 `json:"discountFactor"`
   UnadjustedPrincipalExchangeDate time.Time `json:"unadjustedPrincipalExchangeDate"`
   AdjustedPrincipalExchangeDate time.Time `json:"adjustedPrincipalExchangeDate"`
   PrincipalExchangeAmount float64 `json:"principalExchangeAmount"`
   PresentValuePrincipalExchangeAmount Money `json:"presentValuePrincipalExchangeAmount"`
}
type PrincipalExchangeBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   DiscountFactor float64 `json:"discountFactor"`
   UnadjustedPrincipalExchangeDate time.Time `json:"unadjustedPrincipalExchangeDate"`
   AdjustedPrincipalExchangeDate time.Time `json:"adjustedPrincipalExchangeDate"`
   PrincipalExchangeAmount float64 `json:"principalExchangeAmount"`
}
type ReferencePair struct {
   concerto_1_0_0.Concept
   ReferenceObligation ReferenceObligation `json:"referenceObligation"`
   ReferenceEntity LegalEntity `json:"referenceEntity"`
   NoReferenceObligation bool `json:"noReferenceObligation"`
   EntityType EntityTypeEnum `json:"entityType"`
   EntityTypeScheme string `json:"entityTypeScheme"`
}
type ReferencePairBuilder struct {
   concerto_1_0_0.Concept
   NoReferenceObligation bool `json:"noReferenceObligation"`
   EntityType EntityTypeEnum `json:"entityType"`
   EntityTypeScheme string `json:"entityTypeScheme"`
}
type SettlementRateOptionEnum int
const (
   ARS_BNAR_ARS01 SettlementRateOptionEnum = 1 + iota
   ARS_EMTA_INDICATIVE_SURVEY_RATE_ARS04
   BRL_PTAX_BRL09
   CNY_SAEC_CNY01
   KRW_KFTC18_KRW02
   INR_RBIB_INR01
)
type TermsChangePrimitive struct {
   concerto_1_0_0.Concept
   Before ContractOrContractReference `json:"before"`
   After ContractOrContractReference `json:"after"`
}
type TermsChangePrimitiveBuilder struct {
   concerto_1_0_0.Concept
}
type Rounding struct {
   concerto_1_0_0.Concept
   RoundingDirection RoundingDirectionEnum `json:"roundingDirection"`
   Precision int32 `json:"precision"`
}
type RoundingBuilder struct {
   concerto_1_0_0.Concept
   RoundingDirection RoundingDirectionEnum `json:"roundingDirection"`
   Precision int32 `json:"precision"`
}
type ProductIdentificationBuilder struct {
   concerto_1_0_0.Concept
   ProductQualifier string `json:"productQualifier"`
   PrimaryAssetClass AssetClassEnum `json:"primaryAssetClass"`
   SecondaryAssetClass []AssetClassEnum `json:"secondaryAssetClass"`
   ProductType []string `json:"productType"`
   ProductId []string `json:"productId"`
   ProductIdScheme string `json:"productIdScheme"`
   PrimaryAssetClassScheme string `json:"primaryAssetClassScheme"`
   ProductTypeScheme string `json:"productTypeScheme"`
   SecondaryAssetClassScheme string `json:"secondaryAssetClassScheme"`
}
type ProductIdentification struct {
   concerto_1_0_0.Concept
   ProductQualifier string `json:"productQualifier"`
   PrimaryAssetClass AssetClassEnum `json:"primaryAssetClass"`
   SecondaryAssetClass []AssetClassEnum `json:"secondaryAssetClass"`
   ProductType []string `json:"productType"`
   ProductId []string `json:"productId"`
   ProductIdScheme string `json:"productIdScheme"`
   PrimaryAssetClassScheme string `json:"primaryAssetClassScheme"`
   ProductTypeScheme string `json:"productTypeScheme"`
   SecondaryAssetClassScheme string `json:"secondaryAssetClassScheme"`
}
type AveragingSchedule struct {
   concerto_1_0_0.Concept
   EndDate time.Time `json:"endDate"`
   StartDate time.Time `json:"startDate"`
   AveragingPeriodFrequency CalculationPeriodFrequency `json:"averagingPeriodFrequency"`
}
type AveragingScheduleBuilder struct {
   concerto_1_0_0.Concept
   EndDate time.Time `json:"endDate"`
   StartDate time.Time `json:"startDate"`
}
type DateTimeListBuilder struct {
   concerto_1_0_0.Concept
   DateTime []time.Time `json:"dateTime"`
}
type DateTimeList struct {
   concerto_1_0_0.Concept
   DateTime []time.Time `json:"dateTime"`
}
type MakeWholeAmountBuilder struct {
   concerto_1_0_0.Concept
   InterpolationMethod InterpolationMethodEnum `json:"interpolationMethod"`
   EarlyCallDate time.Time `json:"earlyCallDate"`
   FloatingRateIndex FloatingRateIndexEnum `json:"floatingRateIndex"`
   Spread float64 `json:"spread"`
   Side QuotationSideEnum `json:"side"`
}
type MakeWholeAmount struct {
   concerto_1_0_0.Concept
   InterpolationMethod InterpolationMethodEnum `json:"interpolationMethod"`
   EarlyCallDate time.Time `json:"earlyCallDate"`
   FloatingRateIndex FloatingRateIndexEnum `json:"floatingRateIndex"`
   IndexTenor Period `json:"indexTenor"`
   Spread float64 `json:"spread"`
   Side QuotationSideEnum `json:"side"`
}
type BondReferenceBuilder struct {
   concerto_1_0_0.Concept
   ConditionPrecedentBond bool `json:"conditionPrecedentBond"`
   DiscrepancyClause bool `json:"discrepancyClause"`
}
type BondReference struct {
   concerto_1_0_0.Concept
   Bond Bond `json:"bond"`
   ConditionPrecedentBond bool `json:"conditionPrecedentBond"`
   DiscrepancyClause bool `json:"discrepancyClause"`
}
type ValuationPostponement struct {
   concerto_1_0_0.Concept
   MaximumDaysOfPostponement int32 `json:"maximumDaysOfPostponement"`
}
type ValuationPostponementBuilder struct {
   concerto_1_0_0.Concept
   MaximumDaysOfPostponement int32 `json:"maximumDaysOfPostponement"`
}
type SettlementProvision struct {
   concerto_1_0_0.Concept
   SettlementCurrency string `json:"settlementCurrency"`
   NonDeliverableSettlement NonDeliverableSettlement `json:"nonDeliverableSettlement"`
   SettlementCurrencyScheme string `json:"settlementCurrencyScheme"`
}
type SettlementProvisionBuilder struct {
   concerto_1_0_0.Concept
   SettlementCurrency string `json:"settlementCurrency"`
   SettlementCurrencyScheme string `json:"settlementCurrencyScheme"`
}
type CashflowBaseBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   DiscountFactor float64 `json:"discountFactor"`
}
type CashflowBase struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   DiscountFactor float64 `json:"discountFactor"`
   PresentValueAmount Money `json:"presentValueAmount"`
   PremiumExpression PremiumExpression `json:"premiumExpression"`
   PaymentDiscounting PaymentDiscounting `json:"paymentDiscounting"`
   PayerReceiver PayerReceiver `json:"payerReceiver"`
}
type Resource struct {
   concerto_1_0_0.Concept
   Length ResourceLength `json:"length"`
   Name string `json:"name"`
   Language string `json:"language"`
   ResourceId string `json:"resourceId"`
   ResourceType ResourceTypeEnum `json:"resourceType"`
   SizeInBytes float64 `json:"sizeInBytes"`
   MimeType string `json:"mimeType"`
   Comments string `json:"comments"`
   Url string `json:"url"`
   String string `json:"string"`
   LanguageScheme string `json:"languageScheme"`
   MimeTypeScheme string `json:"mimeTypeScheme"`
   ResourceIdScheme string `json:"resourceIdScheme"`
   ResourceTypeScheme string `json:"resourceTypeScheme"`
}
type ResourceBuilder struct {
   concerto_1_0_0.Concept
   Name string `json:"name"`
   Language string `json:"language"`
   ResourceId string `json:"resourceId"`
   ResourceType ResourceTypeEnum `json:"resourceType"`
   SizeInBytes float64 `json:"sizeInBytes"`
   MimeType string `json:"mimeType"`
   Comments string `json:"comments"`
   Url string `json:"url"`
   String string `json:"string"`
   LanguageScheme string `json:"languageScheme"`
   MimeTypeScheme string `json:"mimeTypeScheme"`
   ResourceIdScheme string `json:"resourceIdScheme"`
   ResourceTypeScheme string `json:"resourceTypeScheme"`
}
type ReferenceObligationBuilder struct {
   concerto_1_0_0.Concept
   PrimaryObligorReference string `json:"primaryObligorReference"`
   GuarantorReference string `json:"guarantorReference"`
   StandardReferenceObligation bool `json:"standardReferenceObligation"`
}
type ReferenceObligation struct {
   concerto_1_0_0.Concept
   Mortgage Mortgage `json:"mortgage"`
   Bond Bond `json:"bond"`
   ConvertibleBond ConvertibleBond `json:"convertibleBond"`
   Loan Loan `json:"loan"`
   PrimaryObligor LegalEntity `json:"primaryObligor"`
   PrimaryObligorReference string `json:"primaryObligorReference"`
   Guarantor LegalEntity `json:"guarantor"`
   GuarantorReference string `json:"guarantorReference"`
   StandardReferenceObligation bool `json:"standardReferenceObligation"`
}
type ValuationMethodEnum int
const (
   MARKET ValuationMethodEnum = 1 + iota
   HIGHEST
   AVERAGE_MARKET
   AVERAGE_HIGHEST
   BLENDED_MARKET
   BLENDED_HIGHEST
   AVERAGE_BLENDED_MARKET
   AVERAGE_BLENDED_HIGHEST
)
type ExecutionBuilder struct {
   concerto_1_0_0.Concept
}
type Execution struct {
   concerto_1_0_0.Concept
   TradeHeader TradeHeader `json:"tradeHeader"`
   ContractualProduct ContractualProduct `json:"contractualProduct"`
   Party []Party `json:"party"`
}
type InformationSource struct {
   concerto_1_0_0.Concept
   SourceProvider InformationProviderEnum `json:"sourceProvider"`
   SourcePage string `json:"sourcePage"`
   SourcePageHeading string `json:"sourcePageHeading"`
   SourcePageScheme string `json:"sourcePageScheme"`
   SourceProviderScheme string `json:"sourceProviderScheme"`
}
type InformationSourceBuilder struct {
   concerto_1_0_0.Concept
   SourceProvider InformationProviderEnum `json:"sourceProvider"`
   SourcePage string `json:"sourcePage"`
   SourcePageHeading string `json:"sourcePageHeading"`
   SourcePageScheme string `json:"sourcePageScheme"`
   SourceProviderScheme string `json:"sourceProviderScheme"`
}
type MandatoryEarlyTerminationAdjustedDates struct {
   concerto_1_0_0.Concept
   AdjustedEarlyTerminationDate time.Time `json:"adjustedEarlyTerminationDate"`
   AdjustedCashSettlementValuationDate time.Time `json:"adjustedCashSettlementValuationDate"`
   AdjustedCashSettlementPaymentDate time.Time `json:"adjustedCashSettlementPaymentDate"`
}
type MandatoryEarlyTerminationAdjustedDatesBuilder struct {
   concerto_1_0_0.Concept
   AdjustedEarlyTerminationDate time.Time `json:"adjustedEarlyTerminationDate"`
   AdjustedCashSettlementValuationDate time.Time `json:"adjustedCashSettlementValuationDate"`
   AdjustedCashSettlementPaymentDate time.Time `json:"adjustedCashSettlementPaymentDate"`
}
type InitialFixingDateBuilder struct {
   concerto_1_0_0.Concept
   InitialFixingDate time.Time `json:"initialFixingDate"`
}
type Period struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   Period PeriodEnum `json:"period"`
   PeriodMultiplier int32 `json:"periodMultiplier"`
}
type InitialFixingDate struct {
   concerto_1_0_0.Concept
   InitialFixingDate time.Time `json:"initialFixingDate"`
   RelativeDateOffset RelativeDateOffset `json:"relativeDateOffset"`
}
type OptionCashSettlement struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   CashSettlementPaymentDate CashSettlementPaymentDate `json:"cashSettlementPaymentDate"`
   CashSettlementValuationTime BusinessCenterTime `json:"cashSettlementValuationTime"`
   CashSettlementValuationDate RelativeDateOffset `json:"cashSettlementValuationDate"`
   CashPriceMethod CashPriceMethod `json:"cashPriceMethod"`
   CashPriceAlternateMethod CashPriceMethod `json:"cashPriceAlternateMethod"`
   ParYieldCurveAdjustedMethod YieldCurveMethod `json:"parYieldCurveAdjustedMethod"`
   ZeroCouponYieldAdjustedMethod YieldCurveMethod `json:"zeroCouponYieldAdjustedMethod"`
   ParYieldCurveUnadjustedMethod YieldCurveMethod `json:"parYieldCurveUnadjustedMethod"`
   CrossCurrencyMethod CrossCurrencyMethod `json:"crossCurrencyMethod"`
   CollateralizedCashPriceMethod YieldCurveMethod `json:"collateralizedCashPriceMethod"`
}
type OptionCashSettlementBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
}
type NotionalStepRuleBuilder struct {
   concerto_1_0_0.Concept
   NotionalStepAmount float64 `json:"notionalStepAmount"`
   NotionalStepRate float64 `json:"notionalStepRate"`
   StepRelativeTo StepRelativeToEnum `json:"stepRelativeTo"`
   FirstNotionalStepDate time.Time `json:"firstNotionalStepDate"`
   LastNotionalStepDate time.Time `json:"lastNotionalStepDate"`
   CalculationPeriodDatesReference string `json:"calculationPeriodDatesReference"`
}
type NotionalStepRule struct {
   concerto_1_0_0.Concept
   NotionalStepAmount float64 `json:"notionalStepAmount"`
   NotionalStepRate float64 `json:"notionalStepRate"`
   StepRelativeTo StepRelativeToEnum `json:"stepRelativeTo"`
   StepFrequency Frequency `json:"stepFrequency"`
   FirstNotionalStepDate time.Time `json:"firstNotionalStepDate"`
   LastNotionalStepDate time.Time `json:"lastNotionalStepDate"`
   CalculationPeriodDatesReference string `json:"calculationPeriodDatesReference"`
}
type InflationRateCalculation struct {
   concerto_1_0_0.Concept
   InflationLag Offset `json:"inflationLag"`
   IndexSource string `json:"indexSource"`
   MainPublication string `json:"mainPublication"`
   InterpolationMethod InterpolationMethodEnum `json:"interpolationMethod"`
   InitialIndexLevel float64 `json:"initialIndexLevel"`
   FallbackBondApplicable bool `json:"fallbackBondApplicable"`
   IndexSourceScheme string `json:"indexSourceScheme"`
   InterpolationMethodScheme string `json:"interpolationMethodScheme"`
   MainPublicationScheme string `json:"mainPublicationScheme"`
   InitialRate float64 `json:"initialRate"`
   FinalRateRounding Rounding `json:"finalRateRounding"`
   AveragingMethod AveragingMethodEnum `json:"averagingMethod"`
   NegativeInterestRateTreatment NegativeInterestRateTreatmentEnum `json:"negativeInterestRateTreatment"`
   Id string `json:"id"`
   SpreadSchedule []SpreadSchedule `json:"spreadSchedule"`
   FloatingRateIndexScheme string `json:"floatingRateIndexScheme"`
   FloatingRateMultiplierSchedule Schedule `json:"floatingRateMultiplierSchedule"`
   FloatingRateIndex FloatingRateIndexEnum `json:"floatingRateIndex"`
   IndexTenor Period `json:"indexTenor"`
   RateTreatment RateTreatmentEnum `json:"rateTreatment"`
   CapRateSchedule []StrikeSchedule `json:"capRateSchedule"`
   FloorRateSchedule []StrikeSchedule `json:"floorRateSchedule"`
}
type InflationRateCalculationBuilder struct {
   concerto_1_0_0.Concept
   IndexSource string `json:"indexSource"`
   MainPublication string `json:"mainPublication"`
   InterpolationMethod InterpolationMethodEnum `json:"interpolationMethod"`
   InitialIndexLevel float64 `json:"initialIndexLevel"`
   FallbackBondApplicable bool `json:"fallbackBondApplicable"`
   IndexSourceScheme string `json:"indexSourceScheme"`
   InterpolationMethodScheme string `json:"interpolationMethodScheme"`
   MainPublicationScheme string `json:"mainPublicationScheme"`
   InitialRate float64 `json:"initialRate"`
   AveragingMethod AveragingMethodEnum `json:"averagingMethod"`
   NegativeInterestRateTreatment NegativeInterestRateTreatmentEnum `json:"negativeInterestRateTreatment"`
   Id string `json:"id"`
   FloatingRateIndexScheme string `json:"floatingRateIndexScheme"`
   FloatingRateIndex FloatingRateIndexEnum `json:"floatingRateIndex"`
   RateTreatment RateTreatmentEnum `json:"rateTreatment"`
}
type QuantityChangePrimitiveBuilder struct {
   concerto_1_0_0.Concept
}
type QuantityChangePrimitive struct {
   concerto_1_0_0.Concept
   Before ContractOrContractReference `json:"before"`
   Change []ContractualQuantity `json:"change"`
   After ContractOrContractReference `json:"after"`
}
type Documentation struct {
   concerto_1_0_0.Concept
   ContractualDefinitions []ContractualDefinitionsEnum `json:"contractualDefinitions"`
   ContractualTermsSupplement []ContractualTermsSupplement `json:"contractualTermsSupplement"`
   MasterAgreement MasterAgreement `json:"masterAgreement"`
   BrokerConfirmation BrokerConfirmation `json:"brokerConfirmation"`
   CreditSupportAgreement CreditSupportAgreement `json:"creditSupportAgreement"`
   OtherAgreement []OtherAgreement `json:"otherAgreement"`
   Attachment []Resource `json:"attachment"`
   MasterConfirmation MasterConfirmation `json:"masterConfirmation"`
   ContractualMatrix []ContractualMatrix `json:"contractualMatrix"`
   ContractualDefinitionsScheme string `json:"contractualDefinitionsScheme"`
}
type DocumentationBuilder struct {
   concerto_1_0_0.Concept
   ContractualDefinitions []ContractualDefinitionsEnum `json:"contractualDefinitions"`
   ContractualDefinitionsScheme string `json:"contractualDefinitionsScheme"`
}
type CompoundingMethodEnum int
const (
   FLAT CompoundingMethodEnum = 1 + iota
   NONE
   STRAIGHT
   SPREAD_EXCLUSIVE
)
type ExercisePeriod struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   EarliestExerciseDateTenor Period `json:"earliestExerciseDateTenor"`
   ExerciseFrequency Period `json:"exerciseFrequency"`
}
type ExercisePeriodBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
}
type AdjustableDate struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   UnadjustedDate time.Time `json:"unadjustedDate"`
   DateAdjustmentsReference string `json:"dateAdjustmentsReference"`
   AdjustedDate time.Time `json:"adjustedDate"`
   DateAdjustments BusinessDayAdjustments `json:"dateAdjustments"`
}
type AdjustableDateBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   UnadjustedDate time.Time `json:"unadjustedDate"`
   DateAdjustmentsReference string `json:"dateAdjustmentsReference"`
   AdjustedDate time.Time `json:"adjustedDate"`
}
type StubFloatingRate struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   SpreadSchedule []SpreadSchedule `json:"spreadSchedule"`
   FloatingRateMultiplierSchedule Schedule `json:"floatingRateMultiplierSchedule"`
   FloatingRateIndex FloatingRateIndexEnum `json:"floatingRateIndex"`
   IndexTenor Period `json:"indexTenor"`
   RateTreatment RateTreatmentEnum `json:"rateTreatment"`
   CapRateSchedule []StrikeSchedule `json:"capRateSchedule"`
   FloorRateSchedule []StrikeSchedule `json:"floorRateSchedule"`
}
type StubFloatingRateBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   FloatingRateIndex FloatingRateIndexEnum `json:"floatingRateIndex"`
   RateTreatment RateTreatmentEnum `json:"rateTreatment"`
}
type DayCountFractionEnum int
const (
   _1_1 DayCountFractionEnum = 1 + iota
   _30_360
   _30E_360
   _30E_360_ISDA
   ACT_360
   ACT_365_FIXED
   ACT_365L
   ACT_ACT_AFB
   ACT_ACT_ICMA
   ACT_ACT_ISDA
   ACT_ACT_ISMA
   BUS_252
)
type PriorDateInstanceBuilder struct {
   concerto_1_0_0.Concept
   Date time.Time `json:"date"`
}
type PriorDateInstance struct {
   concerto_1_0_0.Concept
   ContractReference Identifier `json:"contractReference"`
   Date time.Time `json:"date"`
}
type DateRelativeToCalculationPeriodDates struct {
   concerto_1_0_0.Concept
   CalculationPeriodDatesReference []string `json:"calculationPeriodDatesReference"`
}
type DateRelativeToCalculationPeriodDatesBuilder struct {
   concerto_1_0_0.Concept
   CalculationPeriodDatesReference []string `json:"calculationPeriodDatesReference"`
}
type NaturalPersonRoleEnum int
const (
   TRADER NaturalPersonRoleEnum = 1 + iota
)
type CompositeBuilder struct {
   concerto_1_0_0.Concept
   DeterminationMethod DeterminationMethodEnum `json:"determinationMethod"`
}
type Composite struct {
   concerto_1_0_0.Concept
   FxSpotRateSource FxSpotRateSource `json:"fxSpotRateSource"`
   DeterminationMethod DeterminationMethodEnum `json:"determinationMethod"`
   RelativeDate RelativeDateOffset `json:"relativeDate"`
}
type AveragingObservationListBuilder struct {
   concerto_1_0_0.Concept
}
type AveragingObservationList struct {
   concerto_1_0_0.Concept
   AveragingObservation []WeightedAveragingObservation `json:"averagingObservation"`
}
type TransferStatusEnum int
const (
   DISPUTED TransferStatusEnum = 1 + iota
   INSTRUCTED
   PENDING
   SETTLED
)
type ListedHeader struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   Currency string `json:"currency"`
   ClearanceSystemScheme string `json:"clearanceSystemScheme"`
   ProductIdentifierScheme string `json:"productIdentifierScheme"`
   ProductIdentifier []ProductIdentifier `json:"productIdentifier"`
   ProductTaxonomy []ProductTaxonomy `json:"productTaxonomy"`
   Description string `json:"description"`
   ClearanceSystem string `json:"clearanceSystem"`
   CurrencyScheme string `json:"currencyScheme"`
}
type ListedHeaderBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   Currency string `json:"currency"`
   ClearanceSystemScheme string `json:"clearanceSystemScheme"`
   ProductIdentifierScheme string `json:"productIdentifierScheme"`
   Description string `json:"description"`
   ClearanceSystem string `json:"clearanceSystem"`
   CurrencyScheme string `json:"currencyScheme"`
}
type OptionPhysicalSettlementBuilder struct {
   concerto_1_0_0.Concept
   ClearedPhysicalSettlement bool `json:"clearedPhysicalSettlement"`
   PredeterminedClearingOrganizationPartyReference string `json:"predeterminedClearingOrganizationPartyReference"`
}
type OptionPhysicalSettlement struct {
   concerto_1_0_0.Concept
   ClearedPhysicalSettlement bool `json:"clearedPhysicalSettlement"`
   PredeterminedClearingOrganizationPartyReference string `json:"predeterminedClearingOrganizationPartyReference"`
}
type PackageInformation struct {
   concerto_1_0_0.Concept
   Category []CategoryEnum `json:"category"`
   RelatedParty []RelatedParty `json:"relatedParty"`
   IntentToAllocate bool `json:"intentToAllocate"`
}
type PackageInformationBuilder struct {
   concerto_1_0_0.Concept
   Category []CategoryEnum `json:"category"`
   IntentToAllocate bool `json:"intentToAllocate"`
}
type Cashflow struct {
   concerto_1_0_0.Concept
   CashflowDate AdjustableOrAdjustedOrRelativeDate `json:"cashflowDate"`
   RosettaKeyValue string `json:"rosettaKeyValue"`
   CashflowCalculation string `json:"cashflowCalculation"`
   CashflowType CashflowTypeEnum `json:"cashflowType"`
   CashflowAmount Money `json:"cashflowAmount"`
   Id string `json:"id"`
   DiscountFactor float64 `json:"discountFactor"`
   PresentValueAmount Money `json:"presentValueAmount"`
   PremiumExpression PremiumExpression `json:"premiumExpression"`
   PaymentDiscounting PaymentDiscounting `json:"paymentDiscounting"`
   PayerReceiver PayerReceiver `json:"payerReceiver"`
}
type CashflowBuilder struct {
   concerto_1_0_0.Concept
   CashflowCalculation string `json:"cashflowCalculation"`
   CashflowType CashflowTypeEnum `json:"cashflowType"`
   Id string `json:"id"`
   DiscountFactor float64 `json:"discountFactor"`
}
type CommodityReferencePriceEnum int
const (
   ALUMINIUM_ALLOY_LME_15_MONTH CommodityReferencePriceEnum = 1 + iota
)
type PeriodBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   Period PeriodEnum `json:"period"`
   PeriodMultiplier int32 `json:"periodMultiplier"`
}
type CashSettlementTerms struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   QuotationAmount Money `json:"quotationAmount"`
   MinimumQuotationAmout Money `json:"minimumQuotationAmout"`
   AccruedInterest bool `json:"accruedInterest"`
   SettlementCurrency string `json:"settlementCurrency"`
   CashSettlementBusinessDays int32 `json:"cashSettlementBusinessDays"`
   ValuationDate ValuationDate `json:"valuationDate"`
   ValuationTime BusinessCenterTime `json:"valuationTime"`
   QuotationMethod QuotationRateTypeEnum `json:"quotationMethod"`
   Dealer string `json:"dealer"`
   CashSettlementAmount Money `json:"cashSettlementAmount"`
   FixedSettlement bool `json:"fixedSettlement"`
   ValuationMethod ValuationMethodEnum `json:"valuationMethod"`
   RecoveryFactor float64 `json:"recoveryFactor"`
   SettlementCurrencyScheme string `json:"settlementCurrencyScheme"`
}
type CashSettlementTermsBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   AccruedInterest bool `json:"accruedInterest"`
   SettlementCurrency string `json:"settlementCurrency"`
   CashSettlementBusinessDays int32 `json:"cashSettlementBusinessDays"`
   QuotationMethod QuotationRateTypeEnum `json:"quotationMethod"`
   Dealer string `json:"dealer"`
   FixedSettlement bool `json:"fixedSettlement"`
   ValuationMethod ValuationMethodEnum `json:"valuationMethod"`
   RecoveryFactor float64 `json:"recoveryFactor"`
   SettlementCurrencyScheme string `json:"settlementCurrencyScheme"`
}
type RateObservationBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   ObservationWeight int32 `json:"observationWeight"`
   ResetDate time.Time `json:"resetDate"`
   AdjustedFixingDate time.Time `json:"adjustedFixingDate"`
   ObservedRate float64 `json:"observedRate"`
   TreatedRate float64 `json:"treatedRate"`
   RateReference string `json:"rateReference"`
   ForecastRate float64 `json:"forecastRate"`
   TreatedForecastRate float64 `json:"treatedForecastRate"`
}
type RateObservation struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   ObservationWeight int32 `json:"observationWeight"`
   ResetDate time.Time `json:"resetDate"`
   AdjustedFixingDate time.Time `json:"adjustedFixingDate"`
   ObservedRate float64 `json:"observedRate"`
   TreatedRate float64 `json:"treatedRate"`
   RateReference string `json:"rateReference"`
   ForecastRate float64 `json:"forecastRate"`
   TreatedForecastRate float64 `json:"treatedForecastRate"`
}
type MasterAgreement struct {
   concerto_1_0_0.Concept
   MasterAgreementId string `json:"masterAgreementId"`
   MasterAgreementType MasterAgreementTypeEnum `json:"masterAgreementType"`
   MasterAgreementVersion string `json:"masterAgreementVersion"`
   MasterAgreementDate time.Time `json:"masterAgreementDate"`
   MasterAgreementIdScheme string `json:"masterAgreementIdScheme"`
   MasterAgreementTypeScheme string `json:"masterAgreementTypeScheme"`
   MasterAgreementVersionScheme string `json:"masterAgreementVersionScheme"`
}
type MasterAgreementBuilder struct {
   concerto_1_0_0.Concept
   MasterAgreementId string `json:"masterAgreementId"`
   MasterAgreementType MasterAgreementTypeEnum `json:"masterAgreementType"`
   MasterAgreementVersion string `json:"masterAgreementVersion"`
   MasterAgreementDate time.Time `json:"masterAgreementDate"`
   MasterAgreementIdScheme string `json:"masterAgreementIdScheme"`
   MasterAgreementTypeScheme string `json:"masterAgreementTypeScheme"`
   MasterAgreementVersionScheme string `json:"masterAgreementVersionScheme"`
}
type ScheduleBuilder struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   InitialValue float64 `json:"initialValue"`
}
type Schedule struct {
   concerto_1_0_0.Concept
   Id string `json:"id"`
   InitialValue float64 `json:"initialValue"`
   Step []Step `json:"step"`
}
type OptionDenomination struct {
   concerto_1_0_0.Concept
   OptionEntitlement float64 `json:"optionEntitlement"`
   NumberOfOptions float64 `json:"numberOfOptions"`
   EntitlementCurrency string `json:"entitlementCurrency"`
   EntitlementCurrencyScheme string `json:"entitlementCurrencyScheme"`
}
type OptionDenominationBuilder struct {
   concerto_1_0_0.Concept
   OptionEntitlement float64 `json:"optionEntitlement"`
   NumberOfOptions float64 `json:"numberOfOptions"`
   EntitlementCurrency string `json:"entitlementCurrency"`
   EntitlementCurrencyScheme string `json:"entitlementCurrencyScheme"`
}
